package com.bcxin.enums;

/**
 * 机构类型枚举
 * @author hzp
 */
public enum CompanyTypeEnum {

    /**对应产品供应商*/
    SUPPLY("1","供应商"),
    /**对应产品分销商*/
    DISTRIBUTOR("2","分销商"),
    /**对应产品购买用户*/
    TERMIN_USER("3","终端用户"),
    /**对应产品资源方*/
    RESOUCER("4","资源方");

    private String key;
    private String alias;

    private CompanyTypeEnum(String key,String alias){
        this.key=key;
        this.alias=alias;
    }

    public String getKey() {
        return this.key;
    }

    public String getAlias(){
        return this.alias;
    }

    public static String getAlias(String key){
        for(CompanyTypeEnum e : CompanyTypeEnum.values()){
            if(e.getKey().equals(key)){
                return e.getAlias();
            }
        }
        return "";
    }
}
