package com.bcxin.enums;

/**
 * 分销等级枚举
 * @author hzp
 */
public enum DistributorLevelEnum {

    /**对应一级分销商*/
    LEVEL_1("1","一级分销"),
    /**对应二级分销商*/
    LEVEL_2("2","二级分销"),
    /**对应三级分销商*/
    LEVEL_3("3","三级分销");

    private String key;
    private String alias;

    private DistributorLevelEnum(String key, String alias){
        this.key=key;
        this.alias=alias;
    }

    public String getKey() {
        return this.key;
    }

    public String getAlias(){
        return this.alias;
    }

    public static String getAlias(String key){
        for(DistributorLevelEnum e : DistributorLevelEnum.values()){
            if(e.getKey().equals(key)){
                return e.getAlias();
            }
        }
        return "";
    }
}
