package com.bcxin.enums;

/**
 * 订单支付状态枚举
 * @author hzp
 */
public enum PayStatusEnum {

    PAYED("0","已支付"),
    SOME_PAY("1","部分支付"),
    UN_PAY("-1","未支付");

    private String key;
    private String alias;

    private PayStatusEnum(String key, String alias){
        this.key=key;
        this.alias=alias;
    }

    public String getKey() {
        return this.key;
    }

    public String getAlias(){
        return this.alias;
    }

    public static String getAlias(String key){
        for(PayStatusEnum e : PayStatusEnum.values()){
            if(e.getKey().equals(key)){
                return e.getAlias();
            }
        }
        return "";
    }
}
