package com.bcxin.enums;

/**
 * 产品类型枚举
 * @author hzp
 */
public enum ProductTypeEnum {

    /**对应保险产品*/
    INS("6","保险产品"),
    /**对应风评产品*/
    RISK("7","风评产品"),
    /**对应培训产品*/
    TRAIN("8","培训产品");

    private String key;
    private String alias;

    private ProductTypeEnum(String key,String alias){
        this.key=key;
        this.alias=alias;
    }

    public String getKey() {
        return this.key;
    }

    public String getAlias(){
        return this.alias;
    }

    public static String getAlias(String key){
        for(ProductTypeEnum e : ProductTypeEnum.values()){
            if(e.getKey().equals(key)){
                return e.getAlias();
            }
        }
        return "";
    }
}
