package com.bcxin.models.agreement.controller;

import com.bcxin.core.service.impl.DownloadService;
import com.bcxin.models.agreement.dao.AgreementFileDao;
import com.bcxin.models.agreement.entity.AgreementFile;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;


/**
 * @author jianjun.wang
 * @version V1.0
 * @className WpsOnlinePreviewController
 * @packageName com.bcxin.web.controller
 * @description wps文件预览与编辑服务控制器
 * @data 2019-09-02 13:54
 **/
//@Slf4j
@RestController
@RequestMapping("/wps")
public class WpsOnlinePreviewController {

    @Resource
    private DownloadService downloadService;

    @Autowired
    private AgreementFileDao agreementFileDao;

    /**
     * 文件预览接口控制器
     *
     * @param filePath 文件路径url base64
     * @param fileId   文件唯一id，用于与wps交互。sysName+fileId不能重复
     * @return
     * @throws Exception
     */
//    @GetMapping(value = "/preview")
//    public ResultVo preview(@RequestParam("filePath") String filePath, @RequestParam("fileId") String fileId, @RequestParam("readonly") String readonly, @RequestParam("sysName") String sysName) throws Exception {
//        return wpsFilePreview.previewService(BASE64Util.decryptBASE64(filePath), fileId, readonly, sysName);
//    }

    /**
     * 文件下载控制器
     *
     * @param key  文件名
     * @param req
     * @param resp
     * @throws IOException
     * @throws IOException
     */
    @RequestMapping(value = "/download/{key}", method = RequestMethod.GET)
    public void download(
            @PathVariable(value = "key") String key,
            HttpServletRequest req, HttpServletResponse resp) throws IOException {
        String fileId = key;
        if (fileId == null || fileId.trim().length() == 0) {
            resp.reset();
            resp.setContentType("text/plain;charset=utf-8");
            PrintWriter writer = resp.getWriter();
            writer.write("error:can't get the file name! 不能获取文件名");
            writer.flush();
            return;
        }
        AgreementFile agreementFile = agreementFileDao.selectByPrimaryKey(Long.valueOf(fileId));
        downloadService.downloadService(agreementFile.getFileUrl(), req, resp);
    }
}



