package com.bcxin.models.agreement.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.agreement.dto.AgreementFeeDto;
import com.bcxin.models.agreement.entity.AgreementFee;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@MyBatisDao
public interface AgreementFeeDao extends BasDao<AgreementFee> {
    int deleteByPrimaryKey(String id);

//    @Override
//    int insert(AgreementFee record);

    /**
     * 指插入
     * @param record
     * @return
     */
    Integer insertBatchWithoutId(@Param("list") List<AgreementFeeDto> record);

    Integer insertBatch(@Param("list") List<AgreementFeeDto> record);


    int insertSelective(AgreementFee record);

    AgreementFee selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(AgreementFee record);

    int updateByPrimaryKey(AgreementFee record);

    /**
     * 协议详情,和findList、findList方法类似
     * @param dto
     * @return
     */
    List<AgreementFeeDto> agreeDetail(@Param("agreementFeeDto") AgreementFeeDto dto);

    /**
     * 查询单个实体
     * @param orderForm
     * @return
     */
//    Map<String,Object> get(OrderForm orderForm);

    /**
     * 查询list集合
     * @param orderForm
     * @return
     */
    List<AgreementFeeDto> findList(AgreementFeeDto agreementFee);

    /**
     * 分页查询List Page
     */
    List<AgreementFeeDto> findList(Page<AgreementFeeDto> page, AgreementFee agreementFee);

    BigDecimal getFeeOtherRate(Map<String, Object> param);


}