/**
 * date: 2020-02-05 22:10
 * copyright(c) 2015-2020 百川信
 */
package com.bcxin.models.agreement.dto;

import com.bcxin.models.agreement.controller.valid.AgreementFeeSaveGroup;
import com.bcxin.models.agreement.entity.Agreement;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

/**
 * @author: jianjun.wang
 * @description:
 * @data: 2020-02-05 22:10
 **/
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties({"delFlag"})
public class AgreementDto extends Agreement {

    private String companyName;
    private String subsidiaryName;
    private String agreementName;
    private String fileName;//协议文件名称

    @NotEmpty(message = "协议必须要有内容",groups = {AgreementFeeSaveGroup.class})
    private List<AgreementFeeDto> agreementFeeDto;

    private static final String AgreementType_INVALID = "0";
    private static final String AgreementType_VALID = "1";
    private static final String AgreementType_TERMINATE = "2";
    private static final String AgreementType_END = "3";

}