package com.bcxin.models.agreement.entity;

import com.bcxin.models.agreement.SimpleEntity;
import com.bcxin.models.agreement.controller.valid.AgreementFeeSaveGroup;
import com.bcxin.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * agreement_fee
 * @author 
 */
@Data
//@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName("agreement_fee")
public class AgreementFee extends SimpleEntity<AgreementFee> {

    /**
     * 协议ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long agreementId;
    /**
     * 产品id
     */
    private String productId;
//
//    /**
//     * 编号
//     */
//    private String id;

    /**
     * 产品大类
     */
    private String productType;

    /**
     * 税率
     */
    @NotNull(message = "税率必填",groups = {AgreementFeeSaveGroup.class})
    private BigDecimal taxRate;

    /**
     * 价税范围，分3种：不限制，0-10000,10000以上
     * 0---1----2
     */
    @NotNull(message = "价税范围缺少或者出错",groups = {AgreementFeeSaveGroup.class})
    @Range(min = 0,max = 999999999)
    private BigDecimal taxScopeStart;

    /**
     * 价税范围止：0-不限制
     */
    @NotNull(message = "价税范围缺少或者出错",groups = {AgreementFeeSaveGroup.class})
    @Range(min = 0,max = 999999999)
    private BigDecimal taxScopeEnd;

    /**
     * 固定成本
     */
    @NotNull(message = "固定成本少或者出错",groups = {AgreementFeeSaveGroup.class})
    @Range(min = 0)
    private BigDecimal fixedCost;

    /**
     * 固定金额
     */
    private BigDecimal fixedAmount;

    /**
     * 计费方式 1,费用比例,2固定金额
     */
    @NotNull(message = "计费方式必填",groups = {AgreementFeeSaveGroup.class})
    private String calcMethod;

    /**
     * 费用比例
     */
    private BigDecimal feeRate;

    /**费用比例*/
    public static  final String CALC_METHOD_RATIO="1";

    /**固定金额*/
    public static  final String CALC_METHOD_FIXED="2";

}