package com.bcxin.models.agreement.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.agreement.dto.AgreementDto;
import com.bcxin.models.agreement.dto.AgreementFeeDto;
import com.bcxin.models.agreement.entity.AgreementFee;
import com.bcxin.mybatisplus.plugins.Page;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.transaction.annotation.Transactional;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

/**
 * 协议和产品和费用比例(AgreementFee)表服务接口
 *
 * @author makejava
 * @since 2020-02-11 13:51:24
 */
public interface AgreementFeeService extends BaseService<AgreementFee> {

    /**
     * 协议详情展示
     * @param agreementFeeDto
     * @return
     * @throws JsonProcessingException
     * @throws InvocationTargetException
     * @throws IllegalAccessException
     */
    AgreementDto agreeDetail(AgreementFeeDto agreementFeeDto) throws Exception;

    List<AgreementFeeDto> agreeFeeDetail(AgreementFeeDto agreementFeeDto) throws Exception;

    /**
     * 协议编辑与新增
     * @param agreementDto
     * @return
     * @throws JsonProcessingException
     */
    @Transactional(rollbackFor = Exception.class)
    String agreeDetailSave(AgreementDto agreementDto) throws JsonProcessingException;

    @Transactional(rollbackFor = Exception.class)
    String agreeDetailAdded(AgreementDto agreementDto) throws Exception;

    Page<AgreementFeeDto> findList(Page<AgreementFeeDto> page, AgreementFeeDto agreementFee);

//
//    /**
//     * 通过ID查询单条数据
//     *
//     * @param id 主键
//     * @return 实例对象
//     */
//    AgreementFee queryById(String id);
//
//    /**
//     * 查询多条数据
//     *
//     * @param offset 查询起始位置
//     * @param limit 查询条数
//     * @return 对象列表
//     */
//    List<AgreementFee> queryAllByLimit(int offset, int limit);
//
//    /**
//     * 新增数据
//     *
//     * @param agreementFee 实例对象
//     * @return 实例对象
//     */
//    AgreementFee insert(AgreementFee agreementFee);
//
//    /**
//     * 修改数据
//     *
//     * @param agreementFee 实例对象
//     * @return 实例对象
//     */
//    AgreementFee update(AgreementFee agreementFee);
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param id 主键
//     * @return 是否成功
//     */
//    boolean deleteById(String id);

}