package com.bcxin.models.agreement.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.models.agreement.dao.AgreementDao;
import com.bcxin.models.agreement.dao.AgreementFeeDao;
import com.bcxin.models.agreement.dto.AgreementDto;
import com.bcxin.models.agreement.entity.Agreement;
import com.bcxin.models.agreement.service.AgreementService;
import com.bcxin.mybatisplus.plugins.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 订单管理
 * Created by playboy on 2017/6/7.
 */
@Service
public class AgreementServiceImpl extends BaseServiceImpl<AgreementDao, Agreement> implements AgreementService {
    @Resource
    private AgreementFeeDao agreementFeeDao;
    @Autowired
    private AgreementDao agreementDao;

    @Override
    public Page findPage(Page page, AgreementDto dto) {
//        this.dataScopeFilter(orderForm,"b.supplier_id");
//        AgreementDto dto=new AgreementDto();
//        PageHelper.startPage(0,10);
        page.setRecords(agreementDao.page(page,dto));
        return page;
    }
    @Override
    public BigDecimal getFeeOtherRate(Map<String, Object> param) {
        return agreementFeeDao.getFeeOtherRate(param);
    }

    @Override
    public List<Agreement> findListByProduct(Map<String, String> map) {
        return dao.findListByProduct(map);
    }


    @Override
    public boolean terminate(AgreementDto dto) {
        Agreement agreement= agreementDao.selectById(dto.getId());
        agreement.setStatus("2");
        agreement.setStopAgreeReason(dto.getStopAgreeReason());
        agreementDao.updateById(agreement);
        return true;
    }

    @Override
    public boolean renew(AgreementDto dto) {
        Agreement agreement= agreementDao.selectById(dto.getId());
        agreement.setStatus("1");
        agreement.setEndDate(dto.getEndDate());
        agreement.setPicture(dto.getPicture());
        agreementDao.updateById(agreement);
        return true;
    }

}
