package com.bcxin.models.bill.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.bill.dto.BillDto;
import com.bcxin.models.bill.entity.Bill;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@MyBatisDao
public interface NewBillDao extends BasDao<Bill> {
    int deleteByPrimaryKey(Long id);

//    @Override
//    int insert(Bill record);

    int insertSelective(Bill record);

    Bill selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Bill record);

    int updateByPrimaryKey(Bill record);

    List<BillDto> page(Page page, BillDto dto);

    BillDto detail(BillDto dto);

    List<Bill> getBillExist(Map<String, Object> map);

    /**
     * 清除结算单编号
     * @param map
     * @return
     */
    int cleanSettleId(Long settleId);

    /**
     * 修改结算状态
     * @param map
     * @return
     */
    int modifyVerification(Map<String, Object> map);

    /**
     * 生成结算单的时候，批量更新账单表
     */

    int updateSettleIdBatch(@Param("idList") List<Long> idList,@Param("settleId")Long settleId);

}