/**
 * date: 2020-02-18 16:08
 * copyright(c) 2015-2020 百川信
 */
package com.bcxin.models.bill.dto;

import com.bcxin.models.bill.entity.Bill;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author: jianjun.wang
 * @description:
 * @data: 2020-02-18 16:08
 **/
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class BillDto extends Bill {
    private String  orderNumber;
    private Date orderDate;
    private String projectName;

    private String productName;
    private String productType;
    private String agreementType;
    private String companyName;
    private String subsidiaryName;
    private String policyNo;
    private String realName;//购方名称
    private String loginName;//购方名称




    /**
     * 地区
     */
//    private String province;
    private String city;
    private String district;
    private String address;
    private String fullAddressName;//省市区具体地址，中文名
//    private BigDecimal fcy;


    /**
     * 税率
     */
    private BigDecimal taxRate;
    /**
     * 价税范围，分3种：不限制，0-10000,10000以上
     * 0---1----2
     */
    private String taxScope;
    /**
     * 固定成本
     */
    private BigDecimal fixedCost;

    /**
     * 固定金额
     */
    private BigDecimal fixedAmount;

    /**
     * 计算方式 1,费用比例,2固定金额
     */
    private String calcMethod;

    /**
     * 费用比例
     */
    private BigDecimal feeRate;

    protected String startDate;
    protected String endDate;

}