package com.bcxin.models.bill.entity;

import com.bcxin.models.agreement.SimpleEntity;
import com.bcxin.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * bill
 * @author 
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("bill")
public class Bill extends SimpleEntity<Bill> {

    /**
     * 结算单号
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long settleId;

    /**
     * 订单编号
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /**
     * 协议ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long agreementId;

    /**
     * 支付id
     */
	  @JsonSerialize(using= ToStringSerializer.class)
    private Long orderPaymentId;

    /**
     * 公司ID，合作机构ID
     */
	  @JsonSerialize(using= ToStringSerializer.class)
    private Long companyId;

    /**
     * 订单金额
     */
    private BigDecimal fcy;

    /**
     * 不含税价格
     */
    private BigDecimal price;

    /**
     * 净价格，扣掉成本和变动成本
     */
    private BigDecimal netPrice;

    /**
     * 费用，相当于佣金
     */
    private BigDecimal cost;

    /**
     * 变动成本
     */
//    @NotNull(message = "变动成本不能为空",groups = {BillSaveGroup.class})
    private BigDecimal variableCost;

    /**
     * 变动成本备注
     */
//    @NotNull(message = "变动成本备注不能为空",groups = {BillSaveGroup.class})
    private String variableRemarks;

    /**
     * 是否核销(0否1是)
     */
    private String verification;

    /**
     * 支付日期
     */
    private Date payDate;

    /**
     * 下单日期
     */
    private Date orderDate;

    /**
     * 产品ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long productId;

    /**
     * 关联类型(1,供应商,2分销商,4资源方)
     */
    private String type;

    /**
     * 固定成本
     */
    private BigDecimal fixedCost;

    /**
     * 费用比例/固定金额
     */
    private BigDecimal feeRate;

    /**
     * 计算方式 1,费用比例,2固定金额
     */
    private String calcMethod;

    /**
     * 固定金额
     */
    private BigDecimal fixedAmount;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 价税范围起
     */
    private BigDecimal taxScopeStart;

    /**
     * 价税范围止：0-不限制
     */
    private BigDecimal taxScopeEnd;
    private String province;
    private String orderNumber;

    private static final long serialVersionUID = 1L;

}