package com.bcxin.models.fee.entity;

import com.bcxin.core.base.entity.BaseEntity;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 结算单明细表
 * @author 刘金炬
 */
@TableName("fee_settlement_child")
public class FeeSettlementChild extends BaseEntity<FeeSettlementChild> {
	private static final long serialVersionUID = 1L;

	/**
	 * 订单表ID
	 */
	@NotNull(message = "订单ID不能为空")
	@TableField("order_form_id")
	private Long orderFormId;		// 订单ID

	/**
	 * 结算主表ID
	 */
	@NotNull(message = "结算主表ID不能为空")
	@TableField("fee_settlement_id")
	private Long feeSettlementId;

	/**
	 * 结算金额
	 */
	@NotNull(message = "结算金额不能为空")
	@TableField("fcy")
	private BigDecimal fcy;

	/**
	 * 订单金额(冗余字段)
	 */
	@NotNull(message = "订单金额不能为空")
	@TableField("order_form_fcy")
	private BigDecimal orderFormFcy;

	public Long getOrderFormId() {
		return orderFormId;
	}

	public void setOrderFormId(Long orderFormId) {
		this.orderFormId = orderFormId;
	}

	public Long getFeeSettlementId() {
		return feeSettlementId;
	}

	public void setFeeSettlementId(Long feeSettlementId) {
		this.feeSettlementId = feeSettlementId;
	}

	public BigDecimal getFcy() {
		return fcy;
	}

	public void setFcy(BigDecimal fcy) {
		this.fcy = fcy;
	}

	public BigDecimal getOrderFormFcy() {
		return orderFormFcy;
	}

	public void setOrderFormFcy(BigDecimal orderFormFcy) {
		this.orderFormFcy = orderFormFcy;
	}
}