package com.bcxin.models.fee.entity;

import com.bcxin.core.base.entity.BaseEntity;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 月结表
 * </p>
 *
 * @author ctj
 * @since 2017-10-20
 */
@TableName("fee_settlement_month")
public class FeeSettlementMonth extends BaseEntity<FeeSettlementMonth> {

    private static final long serialVersionUID = 1L;


    /**
     * 结算金额
     */
	private BigDecimal fcy;
    /**
     * 合作伙伴，就是机构ID
     */
	@TableField("cooperation_id")
	private String cooperationId;
    /**
     * 创建时间
     */
	@TableField("create_date")
	private Date createDate;
    /**
     * 状态(1已结算（已填写成本及税金后）、0未结算（未填写成本及税金）)
     */
	private Integer status;
    /**
     * 结算月份
     */
	@TableField("current_month")
	private Date currentMonth;
    /**
     * 产品类型(7风评，6保险，8培训) 
     */
	@TableField("product_type")
	private Integer productType;
	private String area;
    /**
     * 结算订单数
     */
	@TableField("order_num")
	private Integer orderNum;
    /**
     * 成本费用
     */
	@TableField("cost_fcy")
	private BigDecimal costFcy;
    /**
     * 税金
     */
	@TableField("tax_fcy")
	private BigDecimal taxFcy;
    /**
     * 实付金额
     */
	@TableField("true_fcy")
	private BigDecimal trueFcy;
    /**
     * 成本费用备注
     */
	@TableField("cost_fcy_remark")
	private String costFcyRemark;
    /**
     * 税金备注
     */
	@TableField("tax_fcy_remark")
	private String taxFcyRemark;

	/**
	 * 核心系统ID
	 *
	 */
	@TableField("hxxt_id")
	private  String  hxxtId;


	@TableField("province")
	private  String  province;


	public BigDecimal getFcy() {
		return fcy;
	}

	public void setFcy(BigDecimal fcy) {
		this.fcy = fcy;
	}

	public String getCooperationId() {
		return cooperationId;
	}

	public void setCooperationId(String cooperationId) {
		this.cooperationId = cooperationId;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getCurrentMonth() {
		return currentMonth;
	}

	public void setCurrentMonth(Date currentMonth) {
		this.currentMonth = currentMonth;
	}

	public Integer getProductType() {
		return productType;
	}

	public void setProductType(Integer productType) {
		this.productType = productType;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public Integer getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}

	public BigDecimal getCostFcy() {
		return costFcy;
	}

	public void setCostFcy(BigDecimal costFcy) {
		this.costFcy = costFcy;
	}

	public BigDecimal getTaxFcy() {
		return taxFcy;
	}

	public void setTaxFcy(BigDecimal taxFcy) {
		this.taxFcy = taxFcy;
	}

	public BigDecimal getTrueFcy() {
		return trueFcy;
	}

	public void setTrueFcy(BigDecimal trueFcy) {
		this.trueFcy = trueFcy;
	}

	public String getCostFcyRemark() {
		return costFcyRemark;
	}

	public void setCostFcyRemark(String costFcyRemark) {
		this.costFcyRemark = costFcyRemark;
	}

	public String getTaxFcyRemark() {
		return taxFcyRemark;
	}

	public void setTaxFcyRemark(String taxFcyRemark) {
		this.taxFcyRemark = taxFcyRemark;
	}

	public String getHxxtId() {
		return hxxtId;
	}

	public void setHxxtId(String hxxtId) {
		this.hxxtId = hxxtId;
	}


	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	@Override
	public String toString() {
		return "FeeSettlementMonth{" +
			"id=" + id +
			", fcy=" + fcy +
			", cooperationId=" + cooperationId +
			", createDate=" + createDate +
			", status=" + status +
			", currentMonth=" + currentMonth +
			", productType=" + productType +
			", area=" + area +
			", orderNum=" + orderNum +
			", costFcy=" + costFcy +
			", taxFcy=" + taxFcy +
			", trueFcy=" + trueFcy +
			", costFcyRemark=" + costFcyRemark +
			", taxFcyRemark=" + taxFcyRemark +
			"}";
	}
}
