package com.bcxin.models.fee.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.core.entity.SysCompany;
import com.bcxin.models.fee.dao.FeeSettlementDao;
import com.bcxin.models.fee.entity.FeeSettlement;
import com.bcxin.models.fee.service.FeeSettlementChildService;
import com.bcxin.models.fee.service.FeeSettlementService;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.mybatisplus.toolkit.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * 结算单主表
 * Created by playboy on 2017/6/12.
 */
@Service
@Transactional
public class FeeSettlementServiceImpl extends BaseServiceImpl<FeeSettlementDao, FeeSettlement> implements FeeSettlementService {

    @Autowired
    FeeSettlementChildService feeSettlementChildService;

    @Override
    public boolean checkData(FeeSettlement feeSettlement, StringBuffer stringBuffer) {
        return true;
    }

    @Transactional
    @Override
    public void saveFeesettOrChild(FeeSettlement feeSettlement) {
        super.save(feeSettlement);
    }

    @Override
    public Page<Map<String, String>> findPage(Page<Map<String, String>> page, FeeSettlement feeSettlement, String type) {
        if (StringUtils.isNotEmpty(type)) {
            if (SysCompany.COMPANY_TYPE_SUPPLIER.toString().equals(type)) {//type=1供应商
                page.setRecords(dao.findSupplierCountList(page, feeSettlement));
            }
            if (SysCompany.COMPANY_TYPE_DISTRIBUTOR.toString().equals(type)) {//type=2分销商
                page.setRecords(dao.findDistributorCountList(page, feeSettlement));
            }
            if (SysCompany.COMPANY_TYPE_CHANNEL.toString().equals(type)) {//type=3渠道商
                page.setRecords(dao.findResourceSideCountList(page, feeSettlement));
            }
        } else {
            page.setRecords(dao.findList(page, feeSettlement));
        }
        return page;
    }
    @Override
    public Map<String, String> getTotalFee(String type) {
        if (SysCompany.COMPANY_TYPE_SUPPLIER.toString().equals(type)) {
            return dao.getTotalFeeSupplier();
        }
        if (SysCompany.COMPANY_TYPE_DISTRIBUTOR.toString().equals(type)) {
            return dao.getTotalFeeDistributor();
        }
        if (SysCompany.COMPANY_TYPE_CHANNEL.toString().equals(type)) {
            return dao.getTotalFeeResourceSide();
        }
        return null;


    }

    @Override
    public Page<Map<String, String>> findOnePage(Page<Map<String, String>> page, FeeSettlement feeSettlement, String type) {
        if (StringUtils.isNotEmpty(type)) {
            if (SysCompany.COMPANY_TYPE_DISTRIBUTOR.toString().equals(type)) {
                page.setRecords(dao.findDistributorCompanyList(page, feeSettlement));
            }
            if (SysCompany.COMPANY_TYPE_CHANNEL.toString().equals(type)) {
                page.setRecords(dao.findResourceSideCompanyList(page, feeSettlement));
            }
            if (SysCompany.COMPANY_TYPE_SUPPLIER.toString().equals(type)) {
                page.setRecords(dao.findSupplierCompanyList(page, feeSettlement));
            }
        } else {
            page.setRecords(dao.findList(page, feeSettlement));
        }
        return page;
    }

    @Override
    public Map<String, String> getFeeDetaitil(Long id) {

        return dao.getFeeDetaitil(id);
    }

    @Override
    public Map<String, Object> findFeeSettlementTongJi(Map<String, Object> param) {
        return dao.findFeeSettlementTongJi(param);
    }

    @Override
    public Map<String, Object> findFeeSettlementSubTongJi(Map<String, Object> param) {
        return dao.findFeeSettlementSubTongJi(param);
    }


}
