package com.bcxin.models.fee.web;

import com.bcxin.core.base.web.BaseController;
import com.bcxin.core.entity.SysCompany;
import com.bcxin.core.service.SysCompanyService;
import com.bcxin.models.fee.entity.FeeSettlement;
import com.bcxin.models.fee.service.FeeSettlementService;
import com.bcxin.mybatisplus.plugins.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Map;

/**
 * 账单中心
 * Created by liyongqiang on 2017/7/28.
 */
@Controller
@RequestMapping("${systemPath}/fee")
public class FeeController extends BaseController {

    @Autowired
    private FeeSettlementService feeSettlementService;

    @Autowired
    private SysCompanyService sysCompanyService;

    //分销商列表
    private static final String DISTRIBUTOR_LIST = getViewPath("admin/fee/distributor_list");

    //分销商明细
    private static final String DISTRIBUTOR_DETATIL = getViewPath("admin/fee/distributor_detatil");


    //供应商列表
    private static final String SUPPLIER_SIDE_LIST = getViewPath("admin/fee/supplier_list");

    //供应商明细
    private static final String SUPPLIER_SIDE_DETATIL = getViewPath("admin/fee/supplier_detatil");


    //资源方列表
    private static final String RESOURCE_SIDE_LIST = getViewPath("admin/fee/resource_side_list");

    //资源方明细
    private static final String RESOURCE_SIDE_DETATIL = getViewPath("admin/fee/resource_side_detatil");


    @RequestMapping("/initDistributorList")
    public String InitDistributorList(Model model){
        Map<String,String> map =feeSettlementService.getTotalFee(SysCompany.COMPANY_TYPE_DISTRIBUTOR.toString());
        model.addAttribute("map",map);
        return DISTRIBUTOR_LIST;
    }

    @RequestMapping("/initResourceSideList")
    public String InitResourceSideList(Model model){
        Map<String,String> map =feeSettlementService.getTotalFee(SysCompany.COMPANY_TYPE_CHANNEL.toString());
        model.addAttribute("map",map);
        return RESOURCE_SIDE_LIST;
    }

    @RequestMapping("/initSupplierSideList")
    public String InitSupplierSideList(Model model){
        Map<String,String> map =feeSettlementService.getTotalFee(SysCompany.COMPANY_TYPE_SUPPLIER.toString());
        model.addAttribute("map",map);
        return SUPPLIER_SIDE_LIST;
    }

    @RequestMapping("/getDistributorListData")
    @ResponseBody
    public String getDistributorListData(Model model,FeeSettlement feeSettlement){
        Page<Map<String,String>> page =this.getPage();
        feeSettlement.setSysType(SysCompany.COMPANY_TYPE_DISTRIBUTOR.toString());
        feeSettlementService.findPage(page,feeSettlement,feeSettlement.getSysType());
        System.out.printf(jsonPage(page));
        return jsonPage(page);
    }

    @RequestMapping("/getSupplierListData")
    @ResponseBody
    public String getSupplierListData(Model model,FeeSettlement feeSettlement){
        Page<Map<String,String>> page =this.getPage();
        feeSettlement.setSysType(SysCompany.COMPANY_TYPE_SUPPLIER.toString());
        feeSettlementService.findPage(page,feeSettlement,feeSettlement.getSysType());
        return jsonPage(page);
    }

    @RequestMapping("/getResourceSideListData")
    @ResponseBody
    public String findResourceSideList(Model model,FeeSettlement feeSettlement){
        Page<Map<String,String>> page =this.getPage();
        feeSettlement.setSysType(SysCompany.COMPANY_TYPE_CHANNEL.toString());
        feeSettlementService.findPage(page,feeSettlement,feeSettlement.getSysType());
        return jsonPage(page);
    }

    /**
     * 查询明细
     * @param model
     * @param id
     * 机构类型（1：供应商，2：分销商，3：终端机构 4：资源方）companyType
     * @return
     */
    @RequestMapping("/getDetatilList/{id}")
    public String getDetatilList(Model model,@PathVariable Long id){
        SysCompany sysCompany =sysCompanyService.selectById(id);
        model.addAttribute("company",sysCompany);
        if(sysCompany!=null){
             if(1==sysCompany.getCompanyType()){
                    return   SUPPLIER_SIDE_DETATIL;
             }
             if(2==sysCompany.getCompanyType()){
                 return   DISTRIBUTOR_DETATIL;
             }
             if(4==sysCompany.getCompanyType()){
                 return   RESOURCE_SIDE_DETATIL;
             }
        }
        return null;
    }

    /**
     * 明细内容
     * @return
     */
    @RequestMapping("/getDetatilListData")
    @ResponseBody
    public String getDetatilListData(FeeSettlement feeSettlement){
        Page<Map<String,String>> page =this.getPage();
        feeSettlementService.findPage(page,feeSettlement,null);
        return jsonPage(page);
    }
}
