package com.bcxin.models.order.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.order.entity.OrderForm;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 订单管理
 * Created by playboy on 2017/6/7.
 */
@MyBatisDao
public interface OrderFormDao extends BasDao<OrderForm>{
    /**
     * 查询单个实体
     * @param orderForm
     * @return
     */
    Map<String,Object> get(OrderForm orderForm);

    /**
     * 查询list集合
     * @param orderForm
     * @return
     */
    List<Map<String,Object>> findList(OrderForm orderForm);

    /**
     * 分页查询List Page
     */
    List<Map<String,Object>> findList(Page<Map<String,Object>> page, OrderForm orderForm);

    /**
     * 核心系统同步专用
     * @param parmas
     * @return
     */
    List<Map<String,Object>> selectToHxxt(Map<String,Object> parmas);
    /**
     * 查询专家方法

     * @return
     */
    List<Map<String, Object>> findExport();
   int insertExportMessage(@Param("companyID")Long companyID,@Param("realName") String realName,@Param("subsidiaryName") String subsidiaryName);
   /*
   * 专家订单除重处理
   *
   * */

    int selectByRiskActivityIDAndProductID(@Param("risk_activity_id")Long risk_activity_id,@Param("product_id") Long product_id,@Param("export_id") Long export_id,@Param("step") String step);
    String findCompanyIDByWebUserID(@Param("web_user_id")String web_user_id);

    /*
     *  根据关联的分销查询出对应的分销商机构 （从机构升级为分销商的）
     */
    String findCompanyIDByID(String uid);

    /**
     * 根据百联保订单id获得对应的活动信息
     * @apiNote  作者 陈堂君
     * @since 创建于 2018/4/12 18:03
     * @param blbOrderId
     * @return
     */
    List<Map> getActivityInfoByBlbOrderId(String blbOrderId);


    /**
     * 通过活动ID获取
     * @apiNote  作者 陈堂君
     * @since 创建于 2018/4/28 下午2:46
     * @param activity_id
     * @return
     */
    List<Map> getActivityInfoById(String activity_id);

    /**
     * 更新展会保险购买情况
     * @apiNote  作者 陈堂君
     * @since 创建于 2018/4/13 17:55
     * @param params blbOrderId  blbProductCode  //activity_id可先不用，展位目前是唯一，后期可能重复
     * @return
     */
    int updateExhibitionInsInfo(Map params);


    /**
     * 根据百联保的订单ID，给对应的订单加上project_name信息
     * @apiNote  作者 陈堂君
     * @since 创建于 2018/4/28 下午6:24
     * @param params
     * @return
     */
    int updateOrderByBLBOrderID(Map params);
}
