package com.bcxin.models.order.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.order.entity.OrderPayment;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;

import java.util.List;
import java.util.Map;

/**
 * 订单支付记录
 * Created by playboy on 2017/6/7.
 */
@MyBatisDao
public interface OrderPaymentDao extends BasDao<OrderPayment> {
    /**
     * 查询单个实体
     * @param orderPayment
     * @return
     */
    OrderPayment get(OrderPayment orderPayment);

    /**
     * 查询list集合
     * @param orderPayment
     * @return
     */
    List<OrderPayment> findList(OrderPayment orderPayment);

    /**
     * 分页查询List Page
     */
    List<OrderPayment> findList(Page<OrderPayment> page, OrderPayment orderPayment);

    /**
     * 查询支付信息到核心系统
     * @param params
     * @return
     */
    List<Map<String, Object>> selectToHxxt(Map<String, Object> params);


    /**
     * 查询需要结算的订单
     * @param params
     * @return
     */
    List<Map<String,Object>> getOrderPaymentList(Map<String, Object> params);

    /**
     * 一个订单，对应一个支付单，对应一个商品，对应一家供应商，对应一套协议费率。
     * 注意这个顺序，订单里有商品数据，商品表有供应商数据，协议里是一家公司对应多条商品数据费率。所以关联协议表的公司ID，并限制商品，就可以得出一条账单数据。
     * @param params
     * @return
     */
    List<Map<String,Object>> getInsuranceOrders(Map<String, Object> params);

    /**
     * 查询需要结算的供应商订单
     * @param params
     * @return
     */
    List<Map<String,Object>> getOrderPaymentListBySuppler(Map<String,Object> params);

    List<Map<String, String>> getFenXiaoByOrderNum(String orderNumber);
}
