package com.bcxin.models.order.entity;

import com.bcxin.core.base.entity.BaseEntity;
import com.bcxin.core.entity.SysCompany;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;

/**
 *
 * 订单与机构关联表
 * Created by playboy on 2017/7/13.
 */
@TableName("order_company_relation")
public class OrderCompanyRelation extends BaseEntity<OrderCompanyRelation> {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 机构
     */
    @TableField(value = "company_id",el = "sysCompany.id")
    private SysCompany sysCompany;

    /**
     * 订单
     */
    @TableField(value = "order_form_id",el = "orderForm.id")
    private OrderForm orderForm;

    /**
     * 关联类型(2:分销商,4:资源方)
     */
    @TableField("type")
    private Integer type;

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public OrderForm getOrderForm() {
        return orderForm;
    }

    public void setOrderForm(OrderForm orderForm) {
        this.orderForm = orderForm;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
