package com.bcxin.models.order.entity;

import com.bcxin.core.base.entity.BaseEntity;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * 订单支付信息
 * Created by playboy on 2017/6/6.
 */
@TableName("order_payment")
public class OrderPayment extends BaseEntity<OrderPayment>{

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 付款期限
     */
    @TableField(value = "payment_period")
    private Date paymentPeriod;

    /**
     * 支付日期
     */
    @NotNull(message = "支付日期不能为空")
    @TableField(value = "pay_date")
    private Date payDate;

    /**
     * 支付编号
     */
    @TableField(value = "pay_code")
    private String payCode;

    /**
     * 支付方式
     */
    @NotNull(message = "支付方式不能为空")
    @TableField(value = "payment_method")
    private Integer paymentMethod;

    /**
     *支付期数
     */
    @NotNull(message = "支付期数不能为空")
    @TableField(value = "remaining_number")
    private Integer remainingNumber;

    /**
     * 本期应付
     */
    @NotNull(message = "本期应付不能为空")
    @TableField(value = "current_payable")
    private BigDecimal currentPayable;

    /**
     * 实际支付
     */
    @NotNull(message = "实际支付不能为空")
    @TableField(value = "actual_payment")
    private  BigDecimal actualPayment;

    /**
     * 备注
     */
    @TableField(value = "remarks")
    private String remarks;

    /**
     * 订单ID
     */
    @NotNull(message = "订单ID不能为空")
    @TableField(value = "order_form_id")
    private Long orderFormId;

    /**
     * 支付流水号
     */
    @NotBlank(message = "支付流水号不能为空")
    @TableField(value = "pay_serial_number")
    private String paySerialNumber;

    public String getPaySerialNumber() {
        return paySerialNumber;
    }

    public void setPaySerialNumber(String paySerialNumber) {
        this.paySerialNumber = paySerialNumber;
    }

    public OrderPayment(){}
    public OrderPayment(Long orderFormId){this.orderFormId = orderFormId;}

    public Long getOrderFormId() {
        return orderFormId;
    }

    public void setOrderFormId(Long orderFormId) {
        this.orderFormId = orderFormId;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getPaymentPeriod() {
        return paymentPeriod;
    }

    public void setPaymentPeriod(Date paymentPeriod) {
        this.paymentPeriod = paymentPeriod;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public Integer getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(Integer paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public Integer getRemainingNumber() {
        return remainingNumber;
    }

    public void setRemainingNumber(Integer remainingNumber) {
        this.remainingNumber = remainingNumber;
    }

    public BigDecimal getCurrentPayable() {
        return currentPayable;
    }

    public void setCurrentPayable(BigDecimal currentPayable) {
        this.currentPayable = currentPayable;
    }

    public BigDecimal getActualPayment() {
        return actualPayment;
    }

    public void setActualPayment(BigDecimal actualPayment) {
        this.actualPayment = actualPayment;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
