package com.bcxin.models.order.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.order.entity.OrderPayment;
import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;
import java.util.Map;

/**
 * 订单管理
 * Created by playboy on 2017/6/7.
 */
public interface OrderPaymentService extends BaseService<OrderPayment>{

    /**
     * 查询单个实体
     * @param orderPayment
     * @return
     */
    OrderPayment get(OrderPayment orderPayment);

    /**
     * 查询list集合
     * @param orderPayment
     * @return
     */
    List<OrderPayment> findList(OrderPayment orderPayment);

    /**
     * 分页查询List Page
     */
    Page<OrderPayment> findPage(Page<OrderPayment> page, OrderPayment orderPayment);

    /**
     * 同步支付信息到核心系统
     * @param params
     * @return
     */
    List<Map<String,Object>> selectToHxxt(Map<String,Object> params);

    /**
     * 搬运和重构核心系统的方法
     * 查询需要结算的订单
     * @param params
     * @return
     */
    List<Map<String,Object>> getOrderPaymentList(Map<String, Object> params);

    List<Map<String,Object>> getInsuranceOrders(Map<String, Object> params);

    List<Map<String,Object>> getOrderPaymentListBySuppler(Map<String,Object> params);

    /**
     * 查询该订单是否存在二级，三级的fee和id
     */
    Map<String,String> getFenXiaoByOrderNum(String orderNumber);

}
