package com.bcxin.models.order.service.impl;

import com.bcxin.common.dto.AjaxResult;
import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.core.entity.SysCompany;
import com.bcxin.core.entity.SysUser;
import com.bcxin.core.service.SysCompanyService;
import com.bcxin.core.service.SysUserService;
import com.bcxin.models.order.dao.OrderCompanyRelationDao;
import com.bcxin.models.order.dto.OrderCompanyRelationDto;
import com.bcxin.models.order.entity.OrderCompanyRelation;
import com.bcxin.models.order.entity.OrderForm;
import com.bcxin.models.order.service.OrderCompanyRelationService;
import com.bcxin.models.order.service.OrderFormService;
import com.bcxin.models.order.web.OrderCompanyRelationController;
import com.bcxin.mybatisplus.mapper.EntityWrapper;
import com.bcxin.mybatisplus.plugins.Page;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 *
 * 订单与机构关联表
 * Created by playboy on 2017/7/13.
 */
@Service
@Transactional
public class OrderCompanyRelationServiceImpl extends BaseServiceImpl<OrderCompanyRelationDao,OrderCompanyRelation> implements OrderCompanyRelationService{
    @Autowired
    private SysUserService sysUserService;
    @Autowired
    private SysCompanyService sysCompanyService;
    @Autowired
    private OrderFormService orderFormService;

    private static final Logger log = LoggerFactory.getLogger(OrderCompanyRelationController.class);

    @Override
    public List<OrderCompanyRelation> findList(OrderCompanyRelation orderCompanyRelation) {
        return dao.findList(orderCompanyRelation);
    }

    @Override
    public Page<OrderCompanyRelation> findList(Page<OrderCompanyRelation> page, OrderCompanyRelation orderCompanyRelation) {
        page.setRecords(dao.findList(page,orderCompanyRelation));
        return page;
    }

    @Override
    public Page<OrderCompanyRelation> findListUnionSupply(Page<OrderCompanyRelation> page, OrderCompanyRelation orderCompanyRelation) {
        page.setRecords(dao.findListUnionSupply(page,orderCompanyRelation));
        return page;
    }

    @Override
    public List<Map<String,Object>> selectToHxxt(Map<String, Object> params) {
        return dao.selectToHxxt(params);
    }
    @Override
    public Map<String,Object> findByOrderFormID( Long order_form_id){
        return  dao.findByOrderFormID(order_form_id);
    }

    @Override
    public List<OrderCompanyRelationDto> findByOrderIdList(Long order_form_id){
        return  dao.findByOrderIdList(order_form_id);
    }

    @Override
    public void saveExpertOrder(Map<String ,Object> map) {
        OrderForm order= orderFormService.selectById(map.get("id").toString());
        if(order!=null){
            if(order.getFcy()==null||order.getFcy().toString().equals("0.00")){
                order.setFcy(new BigDecimal(map.get("fcy").toString()));
                orderFormService.save(order);
            }else{
                logger.debug("专家订单金额已经有值了："+order.toString());
            }
        }else{
            logger.debug("专家订单回传问题 s-123："+map.toString());
        }

    }
    /*
    *
    * 升级分销商后的归属
    * */
    @Override
    public AjaxResult setRelation(Long web_user_id, Long order_form_id){

        Map map= findByOrderFormID(order_form_id);
        String company_id=String.valueOf(map.get("company_id"));
        String id=String.valueOf(map.get("id"));
        log.info("分销商关联:"+map.toString());
        if (("null".equals(company_id)||"".equals(company_id))){
            //查询升级成分销商没

            log.info("查询专家名字，升级分销商用" + web_user_id);
            SysUser sysUser = sysUserService.selectOne(new EntityWrapper().addFilter("web_user_id={0}", web_user_id));
            OrderForm orderForm= orderFormService.selectOne(new EntityWrapper().addFilter("id={0}",order_form_id));
            log.info("专家ID:" + sysUser.getId());
            String userID = String.valueOf(sysUser.getId());

            SysCompany sysCompany = sysCompanyService.selectOne(new EntityWrapper().addFilter("relate_to_terminal={0}", userID));
            if (sysCompany!=null) {
                log.info("升级后分销商ID:" + sysCompany.getId());

                OrderCompanyRelation orderCompanyRelation=new OrderCompanyRelation();

                orderCompanyRelation.setType(Integer.valueOf(String.valueOf(map.get("type"))));
                orderCompanyRelation.setId(Long.valueOf(String.valueOf(map.get("id"))));
                orderCompanyRelation.setOrderForm(orderForm);
                orderCompanyRelation.setSysCompany(sysCompany);
                save(orderCompanyRelation);
                return new AjaxResult(true, "分销商关联成功");

            }else {
                return new AjaxResult(false, "专家未升级成分销商，请先升级专家名称:"+sysUser.getRealName(),userID);

            }
        }else {
            return new AjaxResult(false, "分销商关联已订单");

        }
    }
}
