package com.bcxin.models.order.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.models.order.dao.OrderPaymentDao;
import com.bcxin.models.order.entity.OrderPayment;
import com.bcxin.models.order.service.OrderPaymentService;
import com.bcxin.mybatisplus.plugins.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * 订单支付记录
 * Created by playboy on 2017/6/7.
 */
@Service
@Transactional
public class OrderPaymentServiceImpl extends BaseServiceImpl<OrderPaymentDao,OrderPayment> implements OrderPaymentService{

    @Override
    public OrderPayment get(OrderPayment orderPayment) {
        return null;
    }

    @Override
    public List<OrderPayment> findList(OrderPayment orderPayment) {
        return null;
    }

    @Override
    public Page<OrderPayment> findPage(Page<OrderPayment> page, OrderPayment orderPayment) {
        page.setRecords(dao.findList(page,orderPayment));
        return page;
    }

    @Override
    public List<Map<String, Object>> selectToHxxt(Map<String, Object> params) {
        return dao.selectToHxxt(params);
    }

    @Override
    public List<Map<String,Object>> getOrderPaymentList(Map<String, Object> params){
        return dao.getOrderPaymentList(params);
    }

    @Override
    public List<Map<String, Object>> getInsuranceOrders(Map<String, Object> params) {

        return dao.getInsuranceOrders(params);
    }

    @Override
    public List<Map<String, Object>> getOrderPaymentListBySuppler(Map<String, Object> params) {
        return dao.getOrderPaymentListBySuppler(params);
    }

    /**
     * 查询该订单是否存在二级，三级的fee和id
     *
     * @param orderNumber
     */
    @Override
    public Map<String, String> getFenXiaoByOrderNum(String orderNumber) {
        List<Map<String,String>> list=dao.getFenXiaoByOrderNum(orderNumber);
        Map<String, String> map = new HashMap<>();
        if(list==null||list.size()<=0){
            map.put("erji","");
            map.put("sanji","");
            map.put("erjifee","");
            map.put("sanjifee","");
        }else{
            for (Map<String,String> m:list){
                if("3".equals(m.get("distributionLevel"))){
                    map.put("sanji","3");
                    map.put("sanjifee",m.get("fee"));
                }
                if("2".equals(m.get("distributionLevel"))){
                    map.put("erji","2");
                    map.put("erjifee",m.get("fee"));
                }
            }
        }
        return  map;
    }
}
