package com.bcxin.models.product.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.product.dto.ProductRelationDto;
import com.bcxin.models.product.entity.ProductRelation;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;

import java.util.List;
import java.util.Map;

/**
 *
 * Created by playboy on 2017/6/4.
 */
@MyBatisDao
public interface ProductRelationDao extends BasDao<ProductRelation>{

    /**
     * 获取所有产品信息
     * 产品基础信息
     * @return
     */
    List<Map<String,Object>> getProductList(Map<String,Object> map);

    /**
     * 获取所有产品信息
     * 产品基础信息
     * @return
     */
    List<Map<String,Object>> getProductList(Page<Map<String,Object>> page, Map<String,Object> map);

    /**
     * 获取机构列表
     * @param params
     * @return
     */
    List<Map<String,Object>> getCompanyDList(Map<String,Object> params);

    /**
     *  获取产品明细列表
     */
    List<Map<String,Object>> getProductListDetails(Map<String,Object> params);

    /**
     * 查询已分配产品
     * @param page
     * @param map
     * @return
     */
    List<Map<String,Object>> getProductAssignedList(Page<Map<String,Object>> page, Map<String,Object> map);

    /**
     * 查询已分配产品分级费率
     * @param page
     * @param map
     * @return
     */
    List<Map<String,Object>> getProductAssignedListFee(Page<Map<String,Object>> page, Map<String,Object> map);

    /**
     * 查询关联机构ID
     */
    List<Long> getCompanyListId(Map<String,Object> params);

    /**
     * 核心系统同步数据
     */
    List<Map<String,Object>> selectToHxxt(Map<String,Object> params);


    List<Map> selectProductRelation(Map p);

    /**
     * 获取产品的id和名称
     * @param params
     * @return
     */
    List<Map<String,Object>> getProductIdAndName(Map<String,Object> params);

    /**
     * 获取供应商名称列表
     * @param dto
     * @return
     */
    List<ProductRelationDto> getSupplyName(ProductRelationDto dto);


    /**
     * 这个好像有点问题
     * @param params
     * @return
     */
    List<Map<String, Object>> getProductIdAndNameBySupply(Map<String, Object> params);
}
