package com.bcxin.models.product.entity;

import com.bcxin.core.base.entity.DataEntity;
import com.bcxin.core.entity.SysCompany;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;


/**
 * 
 * @author 保险产品
 *
 */
@TableName("product_ins")
public class ProductIns extends DataEntity<ProductIns> {
	@TableField(exist = false)
	private static final long serialVersionUID = 1L;

	/**
	 * 产品名称
	 */
	@TableField(value = "name")
	@NotBlank(message = "产品名称不能为空")
	private String name;

	/**
	 * 所属供应商
	 */
	@NotNull(message = "保险公司不能为空")
	@TableField(value = "supplier_id",el = "supplier.id")
	private SysCompany supplier;

	/**
	 * 产品类型
	 */
	@TableField(value = "product_type")
	@NotBlank(message = "产品类型不能为空")
	private String productType;

	/**
	 * 保险责任分类
	 */
	@NotNull(message = "保险责任分类不能为空")
	@TableField(value = "responsibility_type",el = "responsibilityType.id")
	private ProductType responsibilityType;

	/**
	 * 市场属性分类
	 */
	@NotNull(message = "市场属性分类不能为空")
	@TableField(value = "trade_type",el="tradeType.id")
	private ProductType tradeType;

	/**
	 * 标签
	 */
	@NotBlank(message = "标签不能为空")
	@TableField(value = "label")
	private String label;

	/**
	 * 图片
	 */
	@TableField(value = "picture")
	private String picture;

	/**
	 * 产品简述
	 */
	@TableField(value = "intro")
	private String intro;

	/**
	 * 投保须知
	 */
	@TableField(value = "information")
	private String information;

	/**
	 * 投保示例
	 */
	@TableField(value = "sample")
	private String sample;

	/**
	 * 常见问题
	 */
	@TableField(value = "insurance_faq")
	private String insuranceFAQ;

	/**
	 * 投保人声明
	 */
	@TableField(value = "declaration")
	private String declaration;

	@TableField(value="sort")
	private Integer sort;

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getProductType() {
		return productType;
	}

	public void setProductType(String productType) {
		this.productType = productType;
	}

	public String getDeclaration() {
		return declaration;
	}

	public void setDeclaration(String declaration) {
		this.declaration = declaration;
	}

	public ProductIns(Long id){
		super(id);
	}

	public ProductIns(){
	}
	public ProductIns(Long id,Integer stutus){
		super(id);
		super.setStatus(stutus);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public SysCompany getSupplier() {
		return supplier;
	}

	public void setSupplier(SysCompany supplier) {
		this.supplier = supplier;
	}

	public ProductType getResponsibilityType() {
		return responsibilityType;
	}

	public void setResponsibilityType(ProductType responsibilityType) {
		this.responsibilityType = responsibilityType;
	}

	public ProductType getTradeType() {
		return tradeType;
	}

	public void setTradeType(ProductType tradeType) {
		this.tradeType = tradeType;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getPicture() {
		return picture;
	}

	public void setPicture(String picture) {
		this.picture = picture;
	}

	public String getIntro() {
		return intro;
	}

	public void setIntro(String intro) {
		this.intro = intro;
	}

	public String getInformation() {
		return information;
	}

	public void setInformation(String information) {
		this.information = information;
	}

	public String getSample() {
		return sample;
	}

	public void setSample(String sample) {
		this.sample = sample;
	}

	public String getInsuranceFAQ() {
		return insuranceFAQ;
	}

	public void setInsuranceFAQ(String insuranceFAQ) {
		this.insuranceFAQ = insuranceFAQ;
	}
}
