package com.bcxin.models.product.entity;


import com.bcxin.core.base.entity.BaseEntity;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  产品及平台与机构关联表
 * </p>
 * @since 2017-02-10
 */
@TableName("product_relation")
public class ProductRelation extends BaseEntity<ProductRelation> {

	@TableField(exist = false)
    private static final long serialVersionUID = 1L;

	/**
	 * 产品id(ins_products)
	 */
	@TableField(value="product_id")
	private Long productId;
	/**
	 * 关联ID
	 */
	@TableField(value="relation_id")
	private Long relationId;

	/**
	 * 关联类型(1:分销商关联,2.资源方关联.3:平台关联)
	 */
	@TableField(value = "type")
	private Integer type;

	/**
	 * 创建时间
	 */
	@TableField("create_time")
	private Date createTime;

	/**
	 * 修改时间
	 */
	@TableField("update_time")
	private Date updateTIme;

	/**
	 * 佣金比例
	 */
	@TableField("fee")
	private BigDecimal fee;


	/**
	 * 核心系统id（为了一级费率）
	 */
	@TableField(value="hxxt_id")
	private String hxxtId;

	/**
	 * 前台页面传输List
	 */
	private transient List<ProductRelation> list;

	public BigDecimal getFee() {
		return fee;
	}

	public void setFee(BigDecimal fee) {
		this.fee = fee;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getUpdateTIme() {
		return updateTIme;
	}

	public void setUpdateTIme(Date updateTIme) {
		this.updateTIme = updateTIme;
	}

	public List<ProductRelation> getList(){return list;}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public void setList(List<ProductRelation> list) {
		this.list = list;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getProductId() {
		return productId;
	}

	public void setProductId(Long productId) {
		this.productId = productId;
	}

	public Long getRelationId() {
		return relationId;
	}

	public void setRelationId(Long relationId) {
		this.relationId = relationId;
	}

	/**
	 * 分销商关联
	 */
	public static final Integer PRODUCT_ONE=1;
	/**
	 * 资源方关联
	 */
	public static final Integer PRODUCT_TOW=2;
	/**
	 * 平台关联
	 */
	public static final Integer PRODUCT_THREE=3;

	public String getHxxtId() {
		return hxxtId;
	}

	public void setHxxtId(String hxxtId) {
		this.hxxtId = hxxtId;
	}
}
