package com.bcxin.models.product.entity;

import com.bcxin.core.base.entity.DataEntity;
import com.bcxin.core.entity.SysCompany;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 
 * @author 培训产品
 *
 */
@TableName("product_train")
public class ProductTrain extends DataEntity<ProductTrain> {
	@TableField(exist = false)
	private static final long serialVersionUID = 1L;

	/**
	 * 产品名称
	 */
	@NotBlank(message = "产品名称不能为空")
	@TableField(value = "name")
	private String name;

	/**
	 * 所属供应商
	 */
	@NotNull(message = "保险公司不能为空")
	@TableField(value = "supplier_id",el = "supplier.id")
	private SysCompany supplier;

	/**
	 * 产品类型
	 */
	@NotBlank(message = "产品类型不能为空")
	@TableField(value = "product_type")
	private String productType;

	/**
	 * 图片
	 */
	@TableField(value = "picture")
	private String picture;

	/**
	 * 产品简介
	 */
	@TableField(value = "intro")
	private String intro;
	/**
	 *培训对象
	 */
	@NotBlank(message = "培训对象不能为空")
	@TableField(value="training_object")
	private String trainingObject;
	/**
	 * 课程目标
	 */
	@TableField(value="course_objective")
	private String courseObjective;
	/**
	 * 课程内容
	 */
	@NotBlank(message = "课程内容不能为空")
	@TableField(value="curriculum")
	private String curriculum;
	/**
	 * 课时
	 */
	@NotBlank(message = "课时不能为空")
	@TableField(value="course_arrangement")
	private String courseArrangement;

	/**
	 * 排序
	 */
	@Max(value = 9999,message = "排序最大不能超过9999")
	@TableField(value="sort")
	private Integer sort;

	/**
	 * 分类
	 */
	@NotNull(message = "分类不能为空")
	@TableField(value = "responsibility_type",el = "responsibilityType.id")
	private ProductType responsibilityType;


	public ProductType getResponsibilityType() {
		return responsibilityType;
	}

	public void setResponsibilityType(ProductType responsibilityType) {
		this.responsibilityType = responsibilityType;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getCurriculum() {
		return curriculum;
	}

	public void setCurriculum(String curriculum) {
		this.curriculum = curriculum;
	}

	public String getTrainingObject() {
		return trainingObject;
	}

	public void setTrainingObject(String trainingObject) {
		this.trainingObject = trainingObject;
	}

	public String getCourseObjective() {
		return courseObjective;
	}

	public void setCourseObjective(String courseObjective) {
		this.courseObjective = courseObjective;
	}

	public String getCourseArrangement() {
		return courseArrangement;
	}

	public void setCourseArrangement(String courseArrangement) {
		this.courseArrangement = courseArrangement;
	}

	public ProductTrain(Long id){
		super(id);
	}

	public ProductTrain(Long id,Integer status){
		super(id);
		super.setStatus(status);
	}

	public ProductTrain(){
	}

	public String getProductType() {
		return productType;
	}


	public void setProductType(String productType) {
		this.productType = productType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public SysCompany getSupplier() {
		return supplier;
	}

	public void setSupplier(SysCompany supplier) {
		this.supplier = supplier;
	}

	public String getPicture() {
		return picture;
	}

	public void setPicture(String picture) {
		this.picture = picture;
	}

	public String getIntro() {
		return intro;
	}

	public void setIntro(String intro) {
		this.intro = intro;
	}

	@JsonIgnore
	public static void sortList(List<ProductType> list, List<ProductType> sourcelist, Long id){
		for (int i=0; i<sourcelist.size(); i++){
			ProductType e = sourcelist.get(i);
			if (e.getId().equals(id)){
				list.add(e);
				//判断是否有父节点
				if(e.getParent()!=null && e.getParent().getId()!=null) {
					for (int j = 0; j < sourcelist.size(); j++) {
						ProductType parent = sourcelist.get(j);
						if (e.getParent() != null && e.getParent().getId() != null
								&& parent.getId().equals(e.getParent().getId())) {
							sortList(list, sourcelist,parent.getId());
							break;
						}
					}
				}
			}
		}
	}

}
