package com.bcxin.models.product.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.product.entity.ProductRelation;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 产品关联表
 * Created by playboy on 2017/6/4.
 */
public interface ProductRelationService extends BaseService<ProductRelation>{

    /**
     * 数据验证
     * @return
     */
    boolean checkData(ProductRelation productRelation,String msg);


    /**
     * 校验保存
     */
    void checkSave(String productIds, String relationIds, Integer type);

    /**
     * 获取机构列表
     * @param params
     * @return
     */
    List<Map<String,Object>> getCompanyDList(Map<String,Object> params);

    /**
     *  获取产品明细列表(全部)
     */
    List<Map<String,Object>> getProductListDetails(Map<String,Object> params);

    /**
     * 获取关联机构ID
     * @param params
     * @return
     */
    List<Long> getCompanyListId(Map<String,Object> params);

    /**
     * 核心系统同步数据
     */

    List<Map<String,Object>> selectToHxxt(Map<String,Object> params);

    /**
     * 保存分级费率
     * @param fee
     * @param productRelationId
     * @param agreementFeeId
     */
    void saveRangeFee(BigDecimal fee, Long productRelationId, Long agreementFeeId, BigDecimal taxScopeStart, BigDecimal taxScopeEnd);
}
