package com.bcxin.models.product.service;

import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;
import java.util.Map;

/**
 * 综合查询产品信息
 * Created by playboy on 2017/6/4.
 */
public interface ProductService {


    /**
     * 获取所有产品信息
     * 产品基础信息
     *
     * @return
     */
    Page<Map<String, Object>> getProductListPage(Page<Map<String, Object>> page, Map<String, Object> params);

    List<Map<String, Object>> getProductList(Map<String, Object> params);

    /**
     * 查询已分配产品
     *
     * @param page
     * @param map
     * @return
     */
    Page<Map<String, Object>> getProductAssignedList(Page<Map<String, Object>> page, Map<String, Object> map);


    /**
     * 查询已分配产品--分级费率
     *
     * @param page
     * @param map
     * @return
     */
    Page<Map<String, Object>> getProductAssignedListFee(Page<Map<String, Object>> page, Map<String, Object> map);

    /**
     * 查询机构对应的产品ID和名称--不含供应商
     *
     * @param params
     * @return
     */
    List<Map<String, Object>> getProductIdAndName(Map<String, Object> params);

    /**
     * 查询机构对应的产品ID和名称--仅限供应商--废弃
     *
     * @param params
     * @return
     */
    @Deprecated
    List<Map<String, Object>> getProductIdAndNameBySupply(Map<String, Object> params);


}
