package com.bcxin.models.product.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.core.entity.SysIpRestrictions;
import com.bcxin.core.service.SysIpRestrictionsService;
import com.bcxin.models.product.dao.ProductInsDao;
import com.bcxin.models.product.entity.ProductIns;
import com.bcxin.models.product.entity.ProductRelation;
import com.bcxin.models.product.service.ProductInsService;
import com.bcxin.models.product.service.ProductRelationService;
import com.bcxin.mybatisplus.mapper.EntityWrapper;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.util.toolbox.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 保险产品
 * Created by playboy on 2017/6/1.
 */
@Service
@Transactional
public class ProductInsServiceImpl extends BaseServiceImpl<ProductInsDao,ProductIns> implements ProductInsService {
    @Autowired
    private ProductRelationService productRelationService;
    @Autowired
    private SysIpRestrictionsService sysIpRestrictionsService;

    @Override
    public ProductIns get(ProductIns productIns) {
        return dao.get(productIns);
    }

    @Override
    public List<ProductIns> findList(ProductIns productIns) {
        return dao.findList(productIns);
    }

    @Override
    public Page<ProductIns> findPage(Page<ProductIns> page, ProductIns productIns) {
        this.dataScopeFilter(productIns,"sc.id");
        page.setRecords(dao.findList(page,productIns));
        return page;
    }

    @Override
    public String checkData(ProductIns productIns) {
        Integer count = dao.selectCount(new EntityWrapper<ProductIns>().addFilter("name={0} and id <>{1}",productIns.getName(),productIns.getId()));
        if(count>0){
            return "产品名称:"+productIns.getName()+"已经存在";
        }
        if(productIns.getResponsibilityType()==null||productIns.getResponsibilityType().getId()==null){
            return "保险责任分类不能为空";
        }
        if(productIns.getTradeType()==null||productIns.getTradeType().getId()==null){
            return "市场属性分类不能为空";
        }
        return null;
    }

    @Override
    public void save(ProductIns entity) {
        super.save(entity);
        //默认给BLB平台权限
        SysIpRestrictions sysIpRestrictions = sysIpRestrictionsService.selectOne(new EntityWrapper().addFilter("third_party_id={0}","BLB"));
        if(null!=sysIpRestrictions&&null!=sysIpRestrictions.getId()) {
            ProductRelation productRelation = new ProductRelation();
            productRelation.setProductId(entity.getId());
            productRelation.setType(ProductRelation.PRODUCT_THREE);
            productRelation.setRelationId(sysIpRestrictions.getId());
            productRelation.setCreateTime(DateUtil.getTimestamp());
            productRelation.setUpdateTIme(DateUtil.getTimestamp());
            productRelationService.save(productRelation);
        }
    }
}
