package com.bcxin.models.product.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.models.product.dao.ProductRiskDao;
import com.bcxin.models.product.entity.ProductRisk;
import com.bcxin.models.product.service.ProductRiskService;
import com.bcxin.mybatisplus.mapper.EntityWrapper;
import com.bcxin.mybatisplus.plugins.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by playboy on 2017/6/1.
 */
@Service
@Transactional
public class ProductRiskServiceImpl extends BaseServiceImpl<ProductRiskDao,ProductRisk> implements ProductRiskService{
    @Override
    public ProductRisk get(ProductRisk productRisk) {
        return dao.get(productRisk);
    }

    @Override
    public List<ProductRisk> findList(ProductRisk productRisk) {
        return dao.findList(productRisk);
    }

    @Override
    public Page<ProductRisk> findPage(Page<ProductRisk> page, ProductRisk productRisk) {
        this.dataScopeFilter(productRisk,"sc.id");
        page.setRecords(dao.findList(page,productRisk));
        return page;
    }

    @Override
    public String checkData(ProductRisk productRisk) {
        Integer count=0;
        if(productRisk.getId()==null)
             count = dao.selectCount(new EntityWrapper<ProductRisk>().addFilter("name={0}",productRisk.getName()));
        else
            count = dao.selectCount(new EntityWrapper<ProductRisk>().addFilter("name={0} and id<>{1}",productRisk.getName(),productRisk.getId()));
        if(count>0){
            return "产品名称:"+productRisk.getName()+"已经存在";
        }
        if(productRisk.getResponsibilityType().getId()==null){
            return "分类不能为空";
        }
        return null;
    }
}
