package com.bcxin.models.product.service.impl;

import com.bcxin.core.dao.SysCompanyDao;
import com.bcxin.core.util.AuthUtil;
import com.bcxin.models.product.dao.ProductRelationDao;
import com.bcxin.models.product.entity.ProductRelation;
import com.bcxin.models.product.service.ProductService;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.util.toolbox.StrUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import static com.bcxin.util.toolbox.StrUtil.getMapString;

/**
 *
 * 产品综合查询
 * Created by playboy on 2017/6/4.
 */
@Service
@Transactional
public class ProductServiceImpl implements ProductService{

    @Autowired
    ProductRelationDao productRelationDao;

    @Autowired
    SysCompanyDao sysCompanyDao;

    /**
     * 综合查询
     * @return
     */
   public List<Map<String,Object>> getProductList(Map<String, Object> params){
       String type = (String) params.get("type");
       //分销商需要做权限管控
       if(StrUtil.toInteger(type).equals(ProductRelation.PRODUCT_ONE)) {
           AuthUtil.dataScopeFilter(params, "pre.relation_id");
       }
        return productRelationDao.getProductList(params);
    }

    @Override
    public Page<Map<String, Object>> getProductAssignedList(Page<Map<String, Object>> page, Map<String, Object> map) {
        page.setRecords(productRelationDao.getProductAssignedList(page,map));
        return page;
    }

    @Override
    public Page<Map<String, Object>> getProductAssignedListFee(Page<Map<String, Object>> page, Map<String, Object> map) {
        String p = sysCompanyDao.get(Long.parseLong(getMapString(map, "relationId"))).getParentIds();
        List<Long> companyIds = Arrays.stream(p.split(",")).map(s1 -> Long.valueOf(s1.trim())).collect(Collectors.toList());
        Long companyId = companyIds.get(1);    //--这个必须是一级分销商,二三级要查找出一级的
        map.put("companyId", companyId);//一级分销商companyId
        page.setRecords(productRelationDao.getProductAssignedListFee(page,map));
        return page;
    }

    @Override
    public List<Map<String, Object>> getProductIdAndName(Map<String, Object> params) {
        String type = (String) params.get("type");
        return productRelationDao.getProductIdAndName(params);

    }

    @Override
    public List<Map<String, Object>> getProductIdAndNameBySupply(Map<String, Object> params) {
        String type = (String) params.get("type");
        return productRelationDao.getProductIdAndNameBySupply(params);

    }

    @Override
    public Page<Map<String,Object>> getProductListPage(Page<Map<String, Object>> page,Map<String, Object> params) {
       String type = StrUtil.obj2Str(params.get("type"));

       //分销商需要做权限管控
       if(StrUtil.toInteger(type).equals(ProductRelation.PRODUCT_ONE)) {
           AuthUtil.dataScopeFilter(params, "pre.relation_id");
       }
       page.setRecords(productRelationDao.getProductList(page,params));
       return page;
    }
}
