package com.bcxin.models.product.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.models.product.dao.ProductTrainDao;
import com.bcxin.models.product.entity.ProductTrain;
import com.bcxin.models.product.service.ProductTrainService;
import com.bcxin.mybatisplus.mapper.EntityWrapper;
import com.bcxin.mybatisplus.plugins.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 培训产品
 * Created by playboy on 2017/6/1.
 */
@Service
@Transactional
public class ProductTrainServiceImpl extends BaseServiceImpl<ProductTrainDao,ProductTrain> implements ProductTrainService {

    @Override
    public ProductTrain get(ProductTrain productTrain) {
        return dao.get(productTrain);
    }

    @Override
    public List<ProductTrain> findList(ProductTrain productTrain) {
        return dao.findList(productTrain);
    }

    @Override
    public Page<ProductTrain> findPage(Page<ProductTrain> page, ProductTrain productTrain) {
        this.dataScopeFilter(productTrain,"sc.id");
        page.setRecords(dao.findList(page,productTrain));
        return page;
    }

    @Override
    public String checkData(ProductTrain productTrain) {
        Integer count = 0;
        if(productTrain.getId()==null)
         count = dao.selectCount(new EntityWrapper<ProductTrain>().addFilter("name={0}",productTrain.getName()));
        else
          count = dao.selectCount(new EntityWrapper<ProductTrain>().addFilter("name={0} and id<>{1}",productTrain.getName(),productTrain.getId()));

        if(count>0){
            return "产品名称:"+productTrain.getName()+"已经存在";
        }
        if(productTrain.getResponsibilityType().getId()==null){
            return "分类不能为空";
        }
        return null;
    }
}
