package com.bcxin.models.report.web;

import com.bcxin.core.base.web.BaseController;
import com.bcxin.models.fee.service.FeeSettlementService;
import com.bcxin.models.product.entity.ProductIns;
import com.bcxin.mybatisplus.plugins.Page;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 *
 * 供应商账单查询
 * Created by playboy on 2017/6/12.
 */
@Controller
@RequestMapping("${systemPath}/supplierReport")
public class ReportSupplierController  extends BaseController {

    @Autowired
    private FeeSettlementService feeSettlementService;

    //list
    private static final String ADD = getViewPath("admin/report/supplier_bill_report_add");
    //view
    private static final String LIST = getViewPath("admin/report/supplier_bill_report_list.jsp");

    @RequiresPermissions("supplier:report:list")
    @RequestMapping("")
    public String listView(Model model){
        return LIST;
    }


    @RequiresPermissions("supplier:report:list")
    @RequestMapping("/list")
    @ResponseBody
    public String listData(Model model,ProductIns productIns){
        Page<ProductIns> page =this.getPage();
        return jsonPage(page);
    }

    @RequiresPermissions("supplier:report:form")
    @RequestMapping("/form")
    public String form(Model model,ProductIns productIns){
        Page<ProductIns> page =this.getPage();
        return ADD;
    }
}
