/**
 * date: 2020-03-02 14:44
 * copyright(c) 2015-2020 百川信
 */
package com.bcxin.models.statements.dto;

import com.bcxin.models.statements.controller.valid.StatementsCalcBatchGroup;
import com.bcxin.models.statements.controller.valid.StatementsCalcGroup;
import com.bcxin.models.statements.entity.Statements;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.validator.constraints.NotBlank;

import java.math.BigDecimal;

/**
 * @author: jianjun.wang
 * @description:
 * @data: 2020-03-02 14:44
 **/
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class StatementsDto extends Statements {
    private String companyName;//集团名称
    private String subsidiaryName;//公司名称
    @NotBlank(message = "结算月份开始时间不能为空",groups = {StatementsCalcGroup.class,StatementsCalcBatchGroup.class})
    private String startDate;//结算月份开始时间
    @NotBlank(message = "结算月份结束时间不能为空",groups = {StatementsCalcGroup.class, StatementsCalcBatchGroup.class})
    private String endDate;//结算月份结束时间

    /**
     * 计算 中间值，不存表
     */
    private Integer checkCount;
    private Integer uncheckCount;
    //变动成本
    private BigDecimal totalVariableCost;
    //固定成本
    private BigDecimal totalFixedCost;
    //结算人
    private String updateByName;
    //新建人
    private String createByName;


    /**
     * 是否批量生成
     */
    private String isBatch;

}