package com.bcxin.models.statements.entity;

import com.bcxin.models.agreement.SimpleEntity;
import com.bcxin.models.statements.controller.valid.StatementsCalcGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * statements
 * @author 
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class Statements extends SimpleEntity<Statements> {
    /**
     * 结算单号
     */
//    private Long id;


    /**
     * 公司ID，合作机构ID
     */
    @NotNull(message = "合作机构不能为空",groups = {StatementsCalcGroup.class})
    private Long companyId;

    /**
     * 商品大类，6保险，7风评，8培训
     */
    @NotBlank(message = "产品分类不能为空",groups = {StatementsCalcGroup.class})
    private String productType;

    /**
     * 关联类型(1,供应商,2分销商,4资源方)
     */
    @NotBlank(message = "协议类型不能为空",groups = {StatementsCalcGroup.class})
    private String type;

    /**
     * 结算周期
     */
    private String feeCycle;

    /**
     * 账单笔数
     */
    private Integer sumCount;

    /**
     * 价税总额
     */
    private BigDecimal totalFcy;

    /**
     * 总成本
     */
//    @JsonSerialize(using= ToStringSerializer.class)
    private BigDecimal totalCost;

    /**
     * 总花费
     */
    private BigDecimal totalExpense;

    /**
     * 结算人
     */
    private String settlePeople;

    /**
     * 是否核销(0否1是)
     */
    private String verification;

    /**
     * 结算时间
     */
//    @JsonSerialize(using= ToStringSerializer.class)
    private Date settleTime;

    /**
     * 状态,0未处理，1已处理
     */
//    private String status;

    /**
     * 创建者
     */
//    private Long createBy;

    /**
     * 创建时间
     */
//    private LocalDateTime createTime;

    /**
     * 更新时间
     */
//    private LocalDateTime updateTime;

    /**
     * 更新者
     */
//    private Long updateBy;

    /**
     * 备注信息
     */
//    private String remarks;

    /**
     * 删除标记
     */
//    private String delFlag;

    /**
     * 结算单号字符型,废弃
     */
    private String settleId;

    private static final long serialVersionUID = 1L;

}