package com.bcxin.models.statements.service;

import com.bcxin.models.statements.dto.StatementsDto;
import com.bcxin.models.statements.entity.Statements;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 订单管理
 * Created by playboy on 2017/6/7.
 */
public interface StatementsService extends IService<Statements> {


    /**
     * 分页查询List Page
     */
    Page findPage(Page<Map<String, String>> page, StatementsDto dto);

    /**
     * 删除结算单
     */
    void deleteStatements(Long id) throws Exception;

    /**
     * @param id 结算单号
     * @param status 结算状态，已结算1，未结算0
     * 变更结算状态
     * @author wangjianjun
     * @date 2020/3/4
     */
    void modifyStatus(Long id, String status);

    /**
     * 计算结算单
     * @author wangjianjun
     * @date 2020/3/4
     */
    List<StatementsDto> calc(StatementsDto dto);


    /**
     * 生成结算单
     * @author wangjianjun
     * @date 2020/3/4
     */
    void statementsSave(StatementsDto dto) throws Exception;

    /**
     * 批量生成结算单
     * @author wangjianjun
     * @date 2020/3/4
     */
    void statementsSaveBatch(List<StatementsDto> statementsDtos) throws Exception;
}
