<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>协议列表</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content search-query">
                <form id="searchForm" action="${ctx}/agreementForm/list"  method="POST" onsubmit="return false">
                    <div class="col-sm-3">
                        <div class="form-group">
                            <label class="control-label">合作机构名称</label>
                            <div class="input-group-btn">
                                <input type="text" class="form-control" name="companyName" placeholder="请输入">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label class="control-label">协议名称</label>
                            <div class="form-group">
                                <div class="input-group-btn">
                                    <input type="text" class="form-control" name="agreementName" placeholder="请输入">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label class="control-label">协议状态</label>
                            <div class="input-group-btn">
                                <select name="status" id="status" class="sel-md input-group form-control">
                                    <option value="-1">全部</option>
                                    <c:forEach items="${fns:getDictList('agreementStatus')}" var="status">
                                        <option value="${status.value}">${status.label}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label class="control-label">协议类型</label>
                            <div class="input-group-btn">
                                <select name="type" id="type" class="sel-md input-group form-control">
                                    <option value="-1">全部</option>
                                    <c:forEach items="${fns:getDictList('agree_type')}" var="type">
                                        <option value="${type.value}">${type.label}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <div class="input-group">
                                   <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                                        <button type="button" class="btn btn-primary" onclick="resetTableNew()">重置</button>
                                    </span>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <div class="row row-lg">
                    <div class="col-sm-12">
                        <div class="example-wrap">
                            <div class="example">
                                <div id="toolbar" class="fixed-table-toolbar">
                                    <button type="button" class="btn btn-primary" title="新增协议" onclick="member_show('新增协议','${ctx}/agreementForm/form?id=0',null,null,'900',null)">
                                        <i class="glyphicon glyphicon-plus">新增协议</i>
                                    </button>
                                    <button type="button" class="btn btn-primary" title="刷新数据" onclick="refreshdiv()">
                                        <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                    </button>
                                </div>

                                <table id="table"
                                       data-toggle="table"
                                       data-show-toggle="true"
                                       data-show-export="true"
                                       data-show-columns="true"
                                       data-striped="true"
                                       data-pagination="true"
                                       data-sort-name="odate"
                                       data-url="${ctx}/agreementForm/list"
                                       data-query-params="queryParams"
                                       data-side-pagination="server"
                                       data-sort-order="desc"
                                       data-page-list="[10, 25, 50, 100, ALL]"
                                       data-field="records"
                                       data-cache="false"
                                       data-toolbar="#toolbar">
                                    <thead>
                                    <tr>
                                        <th data-checkbox="true" data-field="`id`" >选择</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="agreementName">协议名称</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="companyName" data-formatter="setJG">合作机构</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="type" data-formatter = "agreeType">协议类型</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="odate" data-formatter="timeClass">签订日期</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="startDate" data-formatter="timeClass">开始日期</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="endDate" data-formatter="timeClass">结束日期</th>
<%--                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="feeCycle" data-formatter="cycleClass">结算周期</th>--%>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="status" data-formatter="statusClass">协议状态</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="remarks">备注</th>
                                        <th data-halign="center" data-align="center" data-formatter = "stateFormatter">操作</th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<shiro:hasPermission name="product:ins:form">
    <div id = "viewId" class="hide">
        <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='viewValue'; member_show('协议详情','${ctx}/agreementForm/form?modify=view&id=' + id,'','','1000',null)" title="查看">
<%--            <i class="glyphicon glyphicon-zoom-in"></i>--%>查看
        </a>
        <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='viewValueEdit'; member_show('协议详情','${ctx}/agreementForm/form?id=' + id,'','','1000',null)" title="编辑">
<%--            <i class="glyphicon glyphicon-pencil"></i>--%>修改
        </a>
        <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='terminateValue'; member_show('终止协议','${ctx}/agreementForm/form/terminate?id=' + id,'','','500','300')" title="终止">
            终止
        </a>
        <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='renewValue'; member_show('续签协议','${ctx}/agreementForm/form/renew?id=' + id,'','','500','500')" title="终止">
            续签
        </a>
    </div>
</shiro:hasPermission>


<bcxinFooter>
    <script type="text/javascript">
        $(document).ready(function () {
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });
        function timeClass(v) {
            if (v != null) {
                v = new Date(v);
                return v.Format('yyyy-MM-dd HH:mm:ss');
            }
        }

        function setJG(value, row, index) {
            if(row.subsidiaryName != ''&&row.subsidiaryName != undefined){
                return row.subsidiaryName;
            }
            return value;
        }

        /**
         * 操作
         */
        function stateFormatter(value, row, index) {
            var html3 = $("#viewId").html();
            if(isNotNull(html3)){
                html3 = html3.replace("viewValue",row.id);
                // html3 = html3.replace("viewValueAdd",0);
                html3 = html3.replace("viewValueEdit",row.id);
                html3 = html3.replace("terminateValue",row.id);
                html3 = html3.replace("renewValue",row.id);



            }
            return [html3].join(" ");
        }

        function member_upDown(id,title,status){
            layer.confirm(title,{btn: ['确定','取消'] //按钮
            }, function(){
                $.ajax({
                    type:'POST',
                    dataType:'json',
                    url:'${ctx}/productIns/upDown/'+id+'/'+status,
                    success:function(result){
                        if(result.success==true){
                            layer.msg(result.message,{icon:1,time:1000});
                            refreshdiv();
                        }else{
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }

        function statusClass(value) {
            if(value == '0'){
                return ' <span class="label label-danger">未生效</span>';
            }
            if(value == '1'){
                return ' <span class="label label-primary">执行中</span>';
            }
            if(value=='2'){
                return '<span class="label label-danger">已终止</span>';
            }
            if(value=='3'){
                return '<span class="label label-danger">已完结</span>';
            }
        }

        function cycleClass(value) {
            if(value == '1'){
                return '每月结算';
            }
            if(value=='2'){
                return '每季结算';
            }
        }


        function setRatio(val) {
            return val+"%"

        }
        function setAmount(val) {
            return toDecimal(val);
        }

        function agreeType(v) {
            if(v=='1'){
                return '供应商协议'
            }
            if(v=='2'){
                return '分销商协议'
            }
            if(v=='4'){
                return '资源方协议'
            }
        }

        function resetTableNew() {
            $("#searchForm input").val("");
            $("#status option[value="+"-1"+"]").attr("selected", true).trigger("change");
            $("#type option[value="+"-1"+"]").attr("selected", true).trigger("change");
            $("select").find("option:first").prop("selected",true);
            doRefresh();

        }
    </script>
</bcxinFooter>
</body>
</html>
