<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>账单明细</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <form id="searchForm" action="${ctx}/billForm/list" method="POST"
                      onsubmit="return false">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">合作机构名称</label>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" name="companyName" placeholder="请输入">
                        </div>
                        <div id="data_5">
                            <label class="col-sm-2 control-label">购买日期</label>
                            <div class="col-sm-3 input-daterange input-group" id="datepicker">
                                <input type="text" class="form-control" id="startDate" name="startDate"
                                       placeholder="开始日期(起)"/>
                                <span class="input-group-addon">到</span>
                                <input type="text" class="form-control" id="endDate" name="endDate"
                                       placeholder="购买日期(止)"/>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">订单编号：</label>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" id="orderNumber" name="orderNumber">
                        </div>
                        <label class="col-sm-2 control-label">保单号：</label>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" id="policyNo" name="policyNo"
                            >
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">产品分类</label>
                        <div class="col-sm-3">
                            <select id="productType" name="productType" class="sel-md input-group form-control">
                                <option value="-1">全部</option>
                                <c:forEach items="${fns:getDictList('product_type')}" var="pay">
                                    <option value="${pay.value}"
                                            <c:if test="${productType.type eq pay.value}">selected</c:if> >${pay.label}</option>
                                </c:forEach>
                            </select>
                        </div>
                        <label class="col-sm-2 control-label">产品名称：</label>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" id="productName" name="productName">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">协议类型</label>
                        <div class="col-sm-3">
                            <select id="type" name="type" class="sel-md input-group form-control">
                                <option value="-1">全部</option>
                                <c:forEach items="${fns:getDictList('agree_type')}" var="type">
                                    <option value="${type.value}">${type.label}</option>
                                </c:forEach>
                            </select>
                        </div>
                        <label class="col-sm-2 control-label">购方名称：</label>
<%--                        <div class="col-sm-3">--%>
<%--                            <input type="text" class="form-control" id="realName" name="realName">--%>
<%--                        </div>--%>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" id="loginName" name="loginName">
                        </div>
                        <input type="hidden" id="settleId" name="settleId" value="${settleId}">
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">项目名称：</label>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" id="projectName" name="projectName">
                        </div>
                        <label class="col-sm-2 control-label">对账状态</label>
                        <div class="col-sm-3">
                            <select name="status" id="status" class="sel-md input-group form-control">
                                <option value="-1">全部</option>
                                <c:forEach items="${fns:getDictList('reconcileStatus')}" var="status">
                                    <option value="${status.value}">${status.label}</option>
                                </c:forEach>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-2">
                            <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                            <button type="button" class="btn btn-primary" onclick="resetTableNew()">重置</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <div class="row row-lg">
                    <div class="col-sm-12">
                        <div class="example-wrap">
                            <div class="example">
                                <div id="toolbar" class="fixed-table-toolbar">
                                    <button type="button" class="btn btn-primary" title="刷新数据" onclick="refreshdiv()">
                                        <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                    </button>
                                </div>

                                <table id="table"
                                       data-toggle="table"
                                       data-show-toggle="true"
                                       data-show-export="true"
                                       data-show-columns="true"
                                       data-striped="true"
                                       data-pagination="true"
                                <%--                                       data-sort-name="a.createTime"--%>
                                       data-url="${ctx}/billForm/list"
                                       data-query-params="queryParams"
                                       data-side-pagination="server"
                                       data-sort-order="desc"
                                       data-page-list="[10, 25, 50, 100, ALL]"
                                       data-field="records"
                                       data-cache="false"
                                       data-toolbar="#toolbar">
                                    <thead>
                                    <tr>
                                        <%--                                        <th data-checkbox="true" data-field="`id`" >选择</th>--%>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="id" data-field="id">账单编号
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="payDate" data-field="payDate"
                                            data-formatter="orderDate">购买日期
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="status" data-field="status" data-formatter="statusClass">
                                            对账状态
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="companyName" data-field="companyName" data-formatter="setJG">合作机构名称
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="type" data-field="type"
                                            data-formatter="agreeType">协议类型
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="productName" data-field="productName">产品名称
                                        </th>
                                        <%--                                        <th data-halign="center" data-align="center" data-sortable="true"--%>
                                        <%--                                            data-sort-name="orderId" data-field="orderId">订单编号--%>
                                        <%--                                        </th>--%>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="orderNumber" data-field="orderNumber">订单编号
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="policyNo" data-field="policyNo">保单号
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="fcy" data-field="fcy">价税金额
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="cost" data-field="cost">费用
                                        </th>
                                        <%--                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="sir.name" data-field="sirName">购方名称</th>--%>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="projectName" data-field="projectName">项目名称
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="fullAddressName" data-field="fullAddressName">购买地区
                                        </th>
                                            <th data-halign="center" data-align="center" data-sortable="true"
                                                data-sort-name="loginName" data-field="loginName">购方名称
                                            </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="createTime" data-field="createTime"
                                            data-formatter="orderDate">账单创建时间
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="verification" data-field="verification"
                                            data-formatter="settleStatusClass">结算状态
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="settleId" data-field="settleId">结算单号
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="id" data-formatter="stateFormatter">
                                            操作
                                        </th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<%--<shiro:hasPermission name="bill:ins:form">--%>
<div id="viewId" class="hide">
    <a class="edit m-l-sm text-warning" href="javascript:void(0)"
       onclick="var id ='viewValue'; member_show('查看对账','${ctx}/billForm/form?id=' + id,'','','900','520')"
       title="查看对账">查看
        <%--                    <i class="glyphicon glyphicon-zoom-in"></i>--%>
    </a>
    <a name="editTemp" class="edit m-l-sm text-warning" href="javascript:void(0)"
       onclick="var id ='editValue'; member_show('账单对账','${ctx}/billForm/form?modify=modify&id=' + id,'','','900','520')"
       title="账单对账">对账
    </a>
</div>
<%--</shiro:hasPermission>--%>


<bcxinFooter>
    <script type="text/javascript">
        $(document).ready(function () {
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });

        function orderDate(v) {
            if (v != null) {
                v = new Date(v);
                return v.Format('yyyy-MM-dd HH:mm:ss');
            }

        }

        function setJG(value, row, index) {
            if(row.subsidiaryName != ''&&row.subsidiaryName != undefined){
                return row.subsidiaryName;
            }
            return value;
        }

        /**
         * 操作
         */
        function stateFormatter(value, row, index) {
            var html3 = $("#viewId").html();
            if (isNotNull(html3)) {
                html3 = html3.replace("viewValue", row.id);
                html3 = html3.replace("editValue", row.id);

                if (row.status == 1) {
                    html3 = html3.replace("name", "style=\"display:none;\" name");
                }
            }
            return [html3].join(" ");
        }

        function member_upDown(id, title, status) {
            layer.confirm(title, {
                btn: ['确定', '取消'] //按钮
            }, function () {
                $.ajax({
                    type: 'POST',
                    dataType: 'json',
                    url: '${ctx}/productIns/upDown/' + id + '/' + status,
                    success: function (result) {
                        if (result.success == true) {
                            layer.msg(result.message, {icon: 1, time: 1000});
                            refreshdiv();
                        } else {
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }

        function statusClass(value) {
            if (value == '0') {
                return ' <span class="label label-danger">未对账</span>';
            }
            if (value == '1') {
                return ' <span class="label label-primary">已对账</span>';
            }
        }

        function settleStatusClass(value) {
            if (value == '0') {
                return ' <span class="label label-danger">未结算</span>';
            }
            if (value == '1') {
                return ' <span class="label label-primary">已结算</span>';
            }
        }

        function setRatio(val) {
            return val + "%"

        }

        function setAmount(val) {
            return toDecimal(val);
        }

        function agreeType(v) {
            if (v == '1') {
                return '供应商协议';
            }
            if (v == '2') {
                return '分销商协议';
            }
            if (v == '4') {
                return '资源方协议';
            }
        }

        function resetTableNew() {
            $("#searchForm input").val("");
            $("#productType option[value=" + "-1" + "]").attr("selected", true).trigger("change");
            $("#type option[value=" + "-1" + "]").attr("selected", true).trigger("change");
            $("select").find("option:first").prop("selected", true);
            doRefresh();

        }

    </script>
</bcxinFooter>
</body>
</html>
