<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>下级账单列表</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="float-e-margins">
                <div class="ibox-content search-query">
                    <form action="${ctxapi}/api/bill/sub/getDistributorListDataByID" method="post" id="searchForm" onsubmit="return false">
                        <div class="col-sm-6">
                            <div class="form-group" id="data_5">
                                <label class="control-label">购买日期</label>
                                <div class="input-daterange input-group">
                                    <input type="text" class="form-control"  id="beginCreateTime" name="sDate"  placeholder="请选择日期..."/>
                                    <span class="input-group-addon">到</span>
                                    <input type="text" class="form-control"  id="endCreateTime" name="eDate"  placeholder="请选择日期..."/>
                                </div>
                            </div>
                        </div>

                        <%--<div class="col-sm-3">--%>
                            <%--<div class="form-group">--%>
                                <%--<label class="control-label">关键字</label>--%>
                                <%--<div class="input-group-btn">--%>
                                    <%--<input type="text" class="form-control" id="likeValue" name="likeValue" placeholder="分销商名称">--%>
                                <%--</div>--%>
                            <%--</div>--%>
                        <%--</div>--%>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label class="control-label">选择分销商</label>
                                <div class="input-group-btn">
                                    <select class="form-control" name="sysCompanyId" id="sysCompanyId">
                                        <option value="">请选择下级分销商</option>
                                        <c:forEach items="${companyList}" var="list">
                                            <option value="${list.id}">${list.companyName}</option>
                                        </c:forEach>

                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <div class="input-group">
                                   <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefreshNew()">搜索</button>
                                        <button type="button" class="btn btn-primary" onclick="resetTable()">重置</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-12">
        <label> 总订单数： <span id="totalNum">0</span>  单|  总佣金：<span id="totalMoney">0.00</span> 元 </label>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-content">
                    <div class="row row-lg">
                        <div class="col-sm-12">
                            <div class="example-wrap">
                                <div class="example">
                                   <%-- <label>获得总佣金：${empty map.totalBrokerage?0:map.totalBrokerage} | 已结算佣金：0.00 | 未结算佣金：0.00 </label>--%>
                                    <div id="toolbar" class="btn-group m-t-sm">
                                            <button type="button" class="btn btn-default" title="刷新数据" onclick="refreshdiv()">
                                                <i class="glyphicon glyphicon-refresh">刷新数据</i>

                                            </button>
                                    </div>
                                    <table id="table"
                                           data-toggle="table"
                                           <%--data-search="true"--%>
                                           data-show-toggle="true"
                                           data-show-export="true"
                                           data-show-columns="true"
                                           data-striped="true"
                                           data-pagination="true"
                                           data-sort-name="cid"
                                           data-url="${ctxapi}/api/bill/sub/getDistributorListDataByID"
                                           data-query-params="queryParams"
                                           data-side-pagination="server"
                                           data-field="records"
                                           data-page-list="[10, 25, 50, 100, ALL]"
                                           data-sort-order="desc"
                                           data-cache="false"
                                           data-toolbar="#toolbar">
                                        <thead>
                                        <tr>
                                            <th data-halign="center" data-align="center" data-field="companyName">分销商</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="cnt">销量</th>
                                           <%-- <th data-halign="center" data-align="center" data-sortable="true" data-field="avalilBrokerage">可得佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="withholdingCosts">其他费用</th>--%>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="actualBrokerage" data-formatter="toDecimal2">实得佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="settledCommission" data-formatter="toDecimal2">已结算佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="commissionPaid" data-formatter="toDecimal2">已发放佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="false"    data-formatter="setStatusClass">操作</th>
                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id = "view" class="hidden">
    <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="openDetatil('viewId')" title="查询明细">
        <i class="glyphicon glyphicon-zoom-in"></i>
    </a>
</div>


<bcxinFooter>
    <script type="text/javascript">

        function resetTable(){//重置，页码清零
            $("#searchForm input").val("");
            $("#searchForm select").val("");
            doRefreshNew();
            return false;
        }

        function openDetatil(viewId) {
            var  beginCreateTime =$("#beginCreateTime").val();
            var   endCreateTime=$("#endCreateTime").val();
            member_show('查询明细','${ctxapi}/api/bill/sub/getDetatilList/'+viewId+'?sDate='+beginCreateTime+"&eDate="+endCreateTime,'','','900',null);
        }
        function doRefreshNew() {
            setTongji();
            doRefresh();
        }
        //刷新
        function refreshdiv() {
            location.reload();
        }
        function  setStatusClass(value, row, index){
            var v =$("#view").html().replace("viewId",row.cid);
            return v;
        }
        function doSumbit() {
            var obj = $("#searchForm").serializeObject();
            obj.status = '';
            $("#table").bootstrapTable('refresh', {
                url: $("#searchForm").attr("action"),
                query: $("#searchForm").serializeObject()
            });
        }

        function  setTongji(){
            var  beginCreateTime=$("#beginCreateTime").val();
            var  endCreateTime =$("#endCreateTime").val();
            var  sysCompanyId=$("#sysCompanyId").val();
            $.ajax({
                dataType:'json',
                url:'${ctxapi}/api/bill/sub/getOrderNum?companyId=${company.id}',
                data: {"sDate":beginCreateTime,"eDate":endCreateTime,"sysCompanyId":sysCompanyId},
                success:function(result){
                    $("#totalNum").html(result.totalNum);
                    $("#totalMoney").html(result.totalMoney);
                }
            })
        }
        $(document).ready(function(){
            setTongji();

        });

    </script>
</bcxinFooter>
</body>
</html>
