<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <title>查看订单详情</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css" />
</head>

<body class="gray-bg">
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>基础信息</h5>
                </div>
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="#" method="POST">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">订单号：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.orderNumber}
                            </div>
                            <label class="col-sm-2 control-label">订单来源：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.sirName}
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">购买时间：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.orderDate}
                            </div>
                            <label class="col-sm-2 control-label">最后支付时间：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.lastPayDate}
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">缴费方式：</label>
                            <div class="col-sm-4 form-control-static">
                                ${fns:getDictLabel(orderForm.paymentMethod, 'pay_methods','' )}
                            </div>
                            <label class="col-sm-2 control-label">期数：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.stagesNumber}
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">订单金额：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.fcy}
                            </div>
                            <label class="col-sm-2 control-label">订单有效期：</label>
                            <div class="col-sm-4 form-control-static">
                                <fmt:formatDate value="${orderForm.startDate}" pattern="yyyy-MM-dd" />
                                    至
                                <fmt:formatDate value="${orderForm.endDate}" pattern="yyyy-MM-dd" />
                            </div>
                        </div> <div class="form-group">
                            <label class="col-sm-2 control-label">购买地址：</label>
                            <div class="col-sm-10 form-control-static">
                                    ${fns:getRegionNameById(orderForm.province)}-${fns:getRegionNameById(orderForm.city)}-${fns:getRegionNameById(orderForm.district)}${orderForm.address}
                            </div>
                        </div>

                        <div class="ibox-title">
                            <h5>产品信息</h5>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">产品名称：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.productName}
                            </div>
                            <label class="col-sm-2 control-label">大类：</label>
                            <div class="col-sm-4 form-control-static">
                                ${fns:getDictLabel(orderForm.productType,'product_type' ,'')}
                            </div>

                            <div class="form-group">
                            <label class="col-sm-2 control-label">项目：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.projectName}
                            </div>
                            <label class="col-sm-2 control-label">项目ID：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.riskActivityID}
                            </div>
                            </div>

                            <div class="form-group">
                            <label class="col-sm-2 control-label">业务生效日期：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.startDate}
                            </div>
                            </div>
                        </div>

                        <div class="ibox-title">
                            <h5>购买信息</h5>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">购买账号：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.loginName}
                            </div>
                            <label class="col-sm-2 control-label">联系人电话：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.telephone}
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">邮箱：</label>
                            <div class="col-sm-4 form-control-static">
                                ${orderForm.email}
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">是否需要发票：</label>
                            <div class="col-sm-4 form-control-static">
                                <c:if test="${empty orderForm.invoiceType}">
                                    否
                                </c:if>
                                <c:if test="${!empty orderForm.invoiceType}">
                                    是
                                </c:if>
                            </div>
                            <c:if test="${!empty orderForm.invoiceType}">
                                <label class="col-sm-2 control-label">发票类型：</label>
                                <div class="col-sm-4 form-control-static">
                                    ${fns:getDictLabel(orderForm.invoiceType,'invoiceType' ,'')}
                                </div>
                            </c:if>
                       </div>

                        <c:if test="${fns:getUser().sysCompany.companyType ne '1'}">
                        <div class="ibox-title">
                            <h5>归属信息</h5>
                        </div>

                        <table
                               data-toggle="table"
                               data-pagination="true"
                               data-url="${ctx}/orderCompany/listData?orderForm.id=${orderForm.id}"
                               data-query-params="queryParams"
                               data-side-pagination="server"
                               data-height="350"
                               data-page-list="[3,5]">
                            <thead>
                            <shiro:hasPermission name="sysuser:list:edit">
                            <button id="queryBtn" type="button"
                                    class="btn  btn-primary btn-sm" hidden>
                            <i align="right" id="affiliation" hidden  onclick="doAffiliation()">升级分销商后完成归属</i>
                            </button>
                            </shiro:hasPermission>

                            <tr>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="type" data-field="type" data-formatter="companyType">机构类型</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="sysCompany.companyName"  data-field="sysCompany.companyName" data-formatter="setJG">名称</th>
                                <th data-halign="center" data-align="center" data-field="sysCompany.contactsList" data-formatter = "contactsListName">联系人</th>
                                <th data-halign="center" data-align="center" data-field="sysCompany.contactsList" data-formatter = "contactsListContactsWay">联系方式</th>
                                <th data-halign="center" data-align="center" data-field="sysCompany.contactsList" data-formatter = "contactsListEmail">邮箱</th>
                            </tr>
                            </thead>
                        </table>
                        </c:if>
                        <div class="ibox-title">
                            <h5>支付信息</h5>
                        </div>
                        <table id="table"
                               data-toggle="table"
                               data-pagination="true"
                               data-url="${ctx}/orderForm/getOrderPaymentListData?orderFormId=${orderForm.id}"
                               data-query-params="queryParams"
                               data-side-pagination="server"
                               data-height="350">
                            <thead>
                            <tr>
                                <th data-checkbox="true" data-field="ID">选择</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="payDate" data-field="payDate">支付时间</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="payCode"  data-field="payCode">支付凭证号</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="paySerialNumber"  data-field="paySerialNumber">支付流水号</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="paymentMethod" data-field="paymentMethod" data-formatter = "paymentMethod">支付方式</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="remainingNumber" data-field="remainingNumber">支付期数</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="currentPayable" data-field="currentPayable">本期应付</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="actualPayment" data-field="actualPayment">实际支付</th>
                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="remarks" data-field="remarks">备注</th>
                            </tr>
                            </thead>
                        </table>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <button class="btn btn-primary" type="button"  onclick="layer_close()">关闭</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <script type="text/javascript">
        var userID;
        $(document).ready(function() {
            $("#affiliation").hide();
            $("#queryBtn").hide();
        });
        function queryParams(params) {
            var limit = params.limit;
            if(limit>5){
                limit=5;
            }
            return {
                size: limit,  //页面大小
                index: params.offset, //页码
                sortName:this.sortName,
                sortOrder:this.sortOrder
            };
        }

        function paymentMethod(v) {
            if(v=='1'){
                return '支付宝';
            }else if(v=='2'){
                return '微信'
            }else if(v=='3'){
                return '银联'
            }else if(v=='4'){
                return '网银'
            }else if(v=='5'){
                return '授权扣款'
            }else if(v=='6'){
                return '线下支付'
            }else if(v=='7'){
                return '线上支付'
            }
        }
        function companyType(v) {
            if(v=='2'){
                return "分销商";
            }
            if(v=='4'){
                return "资源方";
            }
            if(v=='1'){
                return "供应商";
            }
        }
        function contactsListName(v) {
            if(isNotNull(v)){
                if(v[0].name==null){
                    var riskID="${orderForm.riskActivityID}";
                    if(riskID !=null){
                        $("#affiliation").show();
                        $("#queryBtn").show();
                    }
                }else {
                    $("#affiliation").hide();
                    $("#queryBtn").hide();
                }
                return v[0].name;
            }
        }
        function doAffiliation(){
            $.ajax({
                type : 'POST',
                url : "${ctx}/orderCompany/affiliation/${orderForm.webUserId}/${orderForm.id}",
                async:false,  //或false,是否异步
                dataType:'json',
                success : function(data) {
                    if (data.success){
                        layer.msg(data.message,{
                            shade : 0.3,
                            time : 1000
                        }, function() {
                            window.location.reload();
                        });

                    }else {
                        layer.msg(data.message, {
                            shade: 0.3,
                            time: 2000
                        });
                        userID=data.data;
                        layer.confirm('是否提升专家为分销商？',{btn: ['确定','取消'] //按钮
                        }, function(){
                            member_show('升级为分销商','${ctx}/sysuser/list',userID,'detail2','900',null);
                        });


                    }



                },
                error: function(){

                    layer.close("请求错误");
                }
            });
        }
       /* function member_add() {


        }*/
        function setJG(value, row, index) {
            if(row.sysCompany.subsidiaryName != ''&&row.sysCompany.subsidiaryName != undefined){
                return row.sysCompany.subsidiaryName;
            }
            return value;
        }
        function contactsListContactsWay(v) {
            if(isNotNull(v)){ return v[0].contactsWay;}
        }
        function contactsListEmail(v) {
            if(isNotNull(v)){ return v[0].email;}
        }
    </script>
</bcxinFooter>
</body>
</html>
