<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>保险产品列表</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content search-query">
                <form id="searchForm" action="${ctx}/orderForm/list"  method="POST" onsubmit="return false">
                    <div class="col-sm-3">
                        <div class="form-group">
                            <label class="control-label">关键字</label>
                            <div class="input-group-btn">
                                <input type="text" class="form-control" name="likeValue" placeholder="订单编号/产品名称/供应商/产品大类">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <div class="form-group" id="data_5">
                            <label class="control-label">购买日期</label>
                            <div class="input-daterange input-group" id="datepicker">
                                <input type="text" class="form-control" id="beginCreateTime" name="sDate"  placeholder="请选择日期..."/>
                                <span class="input-group-addon">到</span>
                                <input type="text" class="form-control" id="endCreateTime" name="eDate"  placeholder="请选择日期..."/>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label class="control-label">状态</label>
                            <div class="input-group-btn">
                                <select name="status" class="sel-md input-group form-control">
                                    <option value="-1">全部</option>
                                    <c:forEach items="${fns:getDictList('orderStatus')}" var="pay">
                                        <option value="${pay.value}"<c:if test="${productType.type eq pay.value}">selected</c:if> >${pay.label}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label class="control-label">产品大类</label>
                            <div class="input-group-btn">
                                <select id="productType" name="productType" class="sel-md input-group form-control">
                                    <option value="-1">全部</option>
                                    <c:forEach items="${fns:getDictList('product_type')}" var="pay">
                                        <option value="${pay.value}"
                                                <c:if test="${productType.type eq pay.value}">selected</c:if> >${pay.label}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <div class="input-group">
                                   <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                                        <button type="button" class="btn btn-primary" onclick="resetTable()">重置</button>
                                    </span>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <div class="row row-lg">
                    <div class="col-sm-12">
                        <div class="example-wrap">
                            <div class="example">
                                <div id="toolbar" class="fixed-table-toolbar">
                                    <button type="button" class="btn btn-primary" title="刷新数据" onclick="refreshdiv()">
                                        <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                    </button>
                                </div>

                                <table id="table"
                                       data-toggle="table"
                                       data-show-toggle="true"
                                       data-show-export="true"
                                       data-show-columns="true"
                                       data-striped="true"
                                       data-pagination="true"
                                       data-sort-name="a.createTime"
                                       data-url="${ctx}/orderForm/list"
                                       data-query-params="queryParams"
                                       data-side-pagination="server"
                                       data-sort-order="desc"
                                       data-page-list="[10, 25, 50, 100, ALL]"
                                       data-field="records"
                                       data-cache="false"
                                       data-toolbar="#toolbar">
                                    <thead>
                                    <tr>
                                        <th data-checkbox="true" data-field="`id`" >选择</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.orderNumber" data-field="orderNumber">订单号</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="b.name"  data-field="productName">产品名称</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="sir.name" data-field="sirName">来源平台</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="b.productType" data-field="productType" data-formatter = "productType">产品大类</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.fcy" data-field="fcy">订单金额</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.projectName" data-field="projectName">项目名称</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.policyNo" data-field="policyNo">保单号</th>
<%--                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.policyNo" data-field="policyNo">购方名称</th>--%>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="supply">供应商</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="channel">资源方</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="distributorFirst">一级分销商</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="distributorSecond">二级分销商</th>
                                        <th data-halign="center" data-align="center" data-sortable="true"  data-field="distributorThird">三级分销商</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.orderDate" data-field="orderDate" data-formatter="orderDate">购买时间</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.startDate" data-field="startDate" data-formatter="orderDate">业务生效时间</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.createTime" data-field="createTime" data-formatter="createTime">创建时间</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.status" data-field="status" data-formatter="statusClass">订单状态</th>
                                        <th data-halign="center" data-align="center" data-formatter = "stateFormatter">操作</th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<shiro:hasPermission name="product:ins:form">
    <div id = "viewId" class="hide">
        <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='viewValue'; member_show('查看','${ctx}/orderForm/form?id=' + id,'','','900',null)" title="查看">
            <i class="glyphicon glyphicon-zoom-in"></i>
        </a>
    </div>
</shiro:hasPermission>


<bcxinFooter>
    <script type="text/javascript">
        $(document).ready(function () {
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });

        function createTime(v) {
            v = new Date(v);
            return v.Format('yyyy-MM-dd HH:mm:ss');
        }
        function updateTime(v) {
            v = new Date(v);
            return v.Format('yyyy-MM-dd HH:mm:ss');
        }
        function orderDate(v) {
            v = new Date(v);
            return v.Format('yyyy-MM-dd HH:mm:ss');
        }

        /**
         * 操作
         */
        function stateFormatter(value, row, index) {
            var html3 = $("#viewId").html();
            if(isNotNull(html3)){
                html3 = html3.replace("viewValue",row.id);
            }
            return [html3].join(" ");
        }

        function member_upDown(id,title,status){
            layer.confirm(title,{btn: ['确定','取消'] //按钮
            }, function(){
                $.ajax({
                    type:'POST',
                    dataType:'json',
                    url:'${ctx}/productIns/upDown/'+id+'/'+status,
                    success:function(result){
                        if(result.success==true){
                            layer.msg(result.message,{icon:1,time:1000});
                            refreshdiv();
                        }else{
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }

        function statusClass(value) {
            if(value == '1'){
                return ' <span class="label label-primary">已生效</span>';
            }
            if(value == '2'){
                return ' <span class="label label-primary">已失效</span>';
            }
            if(value=='3'){
                return '<span class="label label-danger">已过期</span>';
            }
        }

        function setRatio(val) {
            return val+"%"

        }
        function setAmount(val) {
            return toDecimal(val);
        }

        function productType(v) {
            if(v=='6'){
                return '保险产品'
            }
            if(v=='7'){
                return '风评产品'
            }
            if(v=='8'){
                return '培训产品'
            }
        }

    </script>
</bcxinFooter>
</body>
</html>
