<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp"%>
<%@ taglib prefix="fnp" uri="/WEB-INF/tlds/fnp.tld" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>保险产品</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css" />
    <style>
        .modal-backdrop{
            display: none;
        }
    </style>
</head>

<body class="gray-bg">
<div class="wrapper animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
                <div class="ibox-title">
                    <h5><c:if test="${empty productIns}">添加</c:if><c:if test="${!empty productIns}">修改</c:if></h5>
                </div>
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="${ctx}/productIns/edit" method="POST">
                        <c:if test="${!empty productIns}">
                            <input type="hidden"  name="id" value="${productIns.id}">
                        </c:if>
                        <%--<div class="hr-line-dashed"></div>--%>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">产品主图:</label>
                            <div class="col-sm-4">
                                <input id="file-picture" type="file" class="file-loading" name="file" >
                                <input id="picture" type="text" name = "picture" class="hide" value="${productIns.picture}"/>
                            </div>
                        </div>
                        <input  type="text" name = "status" class="hide" value="${productIns.status}"/>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">产品大类：</label>
                            <div class="col-sm-4">
                                <select name="productType" class="form-control" >
                                    <option value="6">保险产品</option>
                                </select>
                            </div>
                            <label class="col-sm-2 control-label">产品名称：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="name" value="${productIns.name}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">保险公司：</label>
                            <div class="col-sm-4">
                                <select name="supplier.id" id ="supplier_id"  class="form-control">
                                </select>
                            </div>
                            <label class="col-sm-2 control-label">排序：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control input-sm" maxlength="2" onkeyup="value=value.replace(/[^\d]/g,'') " ng-pattern="/[^a-zA-Z]/" name="sort" value="${productIns.sort}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">保险责任分类：</label>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType1" >
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType2">
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType3">
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType4">
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType5">
                                </select>
                            </div>
                            <input name="responsibilityType.id" type="hidden" id="responsibilityType" value="${productIns.responsibilityType.id}">
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">市场属性分类：</label>
                            <div class="col-sm-4">
                                <select name="tradeType.id" class="form-control" id="tradeType" >
                                </select>
                            </div>
                            <label class="col-sm-2 control-label">标签：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="label" value="${productIns.label}">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <div class="tabs-container">
                                    <ul class="nav nav-tabs">
                                        <li class="active"><a data-toggle="tab" href="#tab-1" aria-expanded="true"> 产品简述</a>
                                        </li>
                                        <li class=""><a data-toggle="tab" href="#tab-2" aria-expanded="false">投保须知</a>
                                        </li>
                                        <li class=""><a data-toggle="tab" href="#tab-3" aria-expanded="false">投保示例</a>
                                        </li>
                                        <li class=""><a data-toggle="tab" href="#tab-4" aria-expanded="false">常见问题</a>
                                        </li>
                                        <li class=""><a data-toggle="tab" href="#tab-5" aria-expanded="false">投保人声明</a>
                                        </li>
                                    </ul>
                                    <div class="tab-content">
                                        <div id="tab-1" class="tab-pane active">
                                            <textarea id="editor1" class="summernote" name="intro">${productIns.intro}</textarea>
                                        </div>
                                        <div id="tab-2" class="tab-pane">
                                            <textarea id="editor2" class="summernote"  name="information">${productIns.information}</textarea>
                                        </div>
                                        <div id="tab-3" class="tab-pane">
                                            <textarea id="editor3" class="summernote"  name="sample">${productIns.sample}</textarea>
                                        </div>
                                        <div id="tab-4" class="tab-pane">
                                            <textarea id="editor4" class="summernote"  name="insuranceFAQ">${productIns.insuranceFAQ}</textarea>
                                        </div>
                                        <div id="tab-5" class="tab-pane">
                                            <textarea id="editor5" class="summernote"  name="declaration">${productIns.declaration}</textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <input type="hidden" class="form-control" name="id" value="${productIns.id}">
                                <c:if test="${!empty modify}">
                                     <button class="btn btn-primary" type="button"  onclick="toAjaxSubmit(this)">保存下一步</button>
                                </c:if>
                                <button class="btn btn-primary" type="button"  onclick="layer_close()">关闭</button>
                            </div>
                        </div>
                    </form>
                </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <link rel="stylesheet" href="${ctxsta}/common/bootstrap-fileinput-master/css/fileinput.css" type="text/css" />
    <script src="${ctxsta}/common/bootstrap-fileinput-master/js/fileinput.js"></script>
    <script src="${ctxsta}/common/bootstrap-fileinput-master/js/fileinput_locale_zh.js"></script>

    <link href="${ctxsta}/common/summernote/css/summernote.css" rel="stylesheet">
    <link href="${ctxsta}/common/summernote/css/summernote-bs3.css" rel="stylesheet">
    <script src="${ctxsta}/common/summernote/summernote.min.js"></script>
    <script src="${ctxsta}/common/summernote/summernote-zh-CN.js"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            //初始化图片上传组件
            initFileInput('file-picture','picture','${productIns.picture}','${imgSta}');
            initTextarea();
            initSupplierId();
            initResponsibilityType();
            inittradeType();
        });

        /**
         * 初始化富文本编辑器
         * */
        function initTextarea() {
            $('.summernote').each(function() {
                $(this).summernote({height:200, lang:'zh-CN'});
            })
        }

        /**
         * 供应商下拉列表初始化
         */
        function initSupplierId(){
            $.ajax({
                type: 'POST',
                url: "${ctx}/syscompany/getSysCompanyJson?type=1&enterpriseType=6",
                dataType: 'json',
                success: function (data) {
                    var obj = document.getElementById('supplier_id');
                    for (var o in data) {
                        obj.options.add(new Option(data[o].subsidiaryName, data[o].id));
                    }
                    var supplierId = '${productIns.supplier.id}';
                    if(isNotNull(supplierId))
                    {
                        $("#supplier_id option[value="+supplierId+"]").attr("selected", true).trigger("change");
                    }
                },
                error: function (xhr) {
                    layer.msg('供应商列表获取失败');
                }
            });
        }

        /**
         * 保险责任分类初始化
         */
        function initResponsibilityType() {
            $.ajax({
                type: 'POST',
                url: "${ctx}/productType/getProductTypeJson?insType=1&type=6&leve=1",
                dataType: 'json',
                success: function (data) {
                    var obj = document.getElementById('responsibilityType1');
                    obj.options.length = 0;
                    obj.options.add(new Option("请选择", ""));
                    for (var o in data) {
                        obj.options.add(new Option(data[o].typeName, data[o].id));
                    }
                    var responsibilityType1 = '${responsibilityType1}';
                    if(isNotNull(responsibilityType1))
                    {
                        $("#responsibilityType1 option[value="+responsibilityType1+"]").attr("selected", true).trigger("change");
                    }
                    $("#responsibilityType2").hide();
                    $("#responsibilityType3").hide();
                    $("#responsibilityType4").hide();
                    $("#responsibilityType5").hide();
                },
                error: function (xhr) {
                    layer.msg('保险责任分类初始化失败');
                }
            });

            $("#responsibilityType1").on("change",function (objdata) {
                var value = this.options[this.selectedIndex].value;
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?insType=1&type=6&leve=2&id=" + value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType2');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", "")); //这个兼容IE与firefox
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id)); //这个兼容IE与firefox
                        }
                        if(data.length>0){
                            $("#responsibilityType2").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType2").hide();
                        }
                        $("#responsibilityType3").hide();
                        $("#responsibilityType4").hide();
                        $("#responsibilityType5").hide();
                        var responsibilityType2 =  '${responsibilityType2}';
                        if(isNotNull(responsibilityType2))
                        {
                            $("#responsibilityType2 option[value="+responsibilityType2+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
            $("#responsibilityType2").on("change",function (objdata) {
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?insType=1&type=6&leve=3&id=" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType3');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", ""));
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id));
                        }
                        if(data.length>0){
                            $("#responsibilityType3").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType3").hide();
                        }
                        $("#responsibilityType4").hide();
                        $("#responsibilityType5").hide();
                        var responsibilityType3 =  '${responsibilityType3}';
                        if(isNotNull(responsibilityType3))
                        {
                            $("#responsibilityType3 option[value="+responsibilityType3+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
            $("#responsibilityType3").on("change",function (objdata) {
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?insType=1&type=6&leve=4&id=" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType4');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", ""));
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id));
                        }
                        if(data.length>0){
                            $("#responsibilityType4").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType4").hide();
                        }
                        $("#responsibilityType5").hide();
                        var responsibilityType4 =  '${responsibilityType4}';
                        if(isNotNull(responsibilityType4))
                        {
                            $("#responsibilityType4 option[value="+responsibilityType4+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
            $("#responsibilityType4").on("change",function (objdata) {
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?insType=1&type=6&leve=5&id=" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType5');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", ""));
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id));
                        }
                        if(data.length>0){
                            $("#responsibilityType5").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType5").hide();
                        }
                        var responsibilityType5 =  '${responsibilityType5}';
                        if(isNotNull(responsibilityType5))
                        {
                            $("#responsibilityType5 option[value="+responsibilityType5+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
        }
        $("#responsibilityType5").on("change",function (objdata) {
            $('#responsibilityType').val(this.options[this.selectedIndex].value);
        });

        /**
         * 市场属性下拉列表初始化
         */
        function inittradeType() {
            $.ajax({
                type: 'POST',
                url: "${ctx}/productType/getProductTypeJson?insType=2&type=6&leve=1",
                dataType: 'json',
                success: function (data) {
                    var obj = document.getElementById('tradeType');
                    for (var o in data) {
                        obj.options.add(new Option(data[o].typeName, data[o].id));
                    }
                    var tradeType = '${productIns.tradeType.id}';
                    if(isNotNull(tradeType))
                    {
                        $("#tradeType option[value="+tradeType+"]").attr("selected", true).trigger("change");
                    }
                },
                error: function (xhr) {
                    layer.msg('市场属性初始化失败');
                }
            });
        }

        /**
         * 保存下一步
         * @returns
         */
        function toAjaxSubmit(obj){
            $('.summernote').each(function() {
                $(this).text($(this).code());
            })
            var index0 = layer.load(0, {shade: 0.1});
            $(obj).closest('form').ajaxSubmit(function(result) {
                if (result.success == true) {
                  /*  window.addEventListener('message',function(e){
                    },false);*/
                   var v = $('#responsibilityType1').val();
                   if(v!=''){
                      var url = '${fnp:getExternalURL().getProductAdd()}?pro_category_id='+v+'&pro_primary_id='+result.data;
                       window.frameElement.src=url;
                   }
                } else {
                    layer.alert(result.message, {icon: 2});
                    layer.close(index0);
                }
                return false;
            });
        }
    </script>
</bcxinFooter>
</body>
</html>
