<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<%@ taglib prefix="fnp" uri="/WEB-INF/tlds/fnp.tld" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>产品分享</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content search-query">
                <form action="${ctx}/productRelation/listViewData?relationId=${relationId}&type=${type}" method="post" id="searchForm" onsubmit="return false">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="control-label">关键字</label>
                            <div class="input-group">
                                <input type="text" class="form-control" name="likeValue" placeholder="产品名称/保险公司/类型">
                                <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                                </span>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <div class="row row-lg">
                    <div class="col-sm-12">
                        <div class="example-wrap">
                            <div class="example">
                                <div id="toolbar" class="fixed-table-toolbar">
                                    <button type="button" class="btn btn-primary" title="刷新数据" onclick="refreshdiv()">
                                        <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                    </button>
                                </div>
                                <table  id="table"
                                        data-toggle="table"
                                        data-show-toggle="true"
                                        data-show-export="true"
                                        data-show-columns="true"
                                        data-striped="true"
                                        data-pagination="true"
                                        data-url="${ctx}/productRelation/listViewData?relationId=${relationId}&type=${type}"
                                        data-query-params="queryParams"
                                        data-side-pagination="server"
                                        data-cache="false"
                                        data-toolbar="#toolbar">
                                    <thead>
                                    <tr>
                                        <th data-checkbox="true" data-field="`id`">选择</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="sd.label" data-field="label">类型</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.name" data-field="name">产品名称</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="sc.subsidiaryName" data-field="subsidiaryName">供应商</th>
                                    <c:if test="${!empty leve}">
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="pre.fee" data-field="fee" data-formatter="fee">佣金费率</th>
                                    </c:if>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.status" data-field="status" data-formatter="statusClass">状态</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.createTime" data-field="createTime" data-formatter="createTime">创建时间</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.updateTime" data-field="updateTime" data-formatter="updateTime">修改时间</th>
                                        <th data-halign="center" data-align="center" data-formatter="stateFormatter">操作</th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id = "deleteDiv" class="hidden">
<shiro:hasPermission name="product:relation:share">
        <a class="remove m-l-sm text-danger bcxinCopy" href="javascript:void(0)" text="${fnp:getExternalURL().getShareUrl()}valueId<c:if test="${type eq '1'}">?recommendCode=${fns:encodeBase64(fns:getUser().sysCompany.id)}</c:if>"  title="分享">
            <i class="glyphicon glyphicon-share-alt"></i>
        </a>
</shiro:hasPermission>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/clipboard/clipboard.min.js"></script>
    <script src="${ctxsta}/admin/product/js/trumbowyg/plugins/base64/trumbowyg.base64.min.js"></script>
    <script type="text/javascript">

        $(document).ready(function () {
            // 对Date的扩展，将 Date 转化为指定格式的String
            // 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，
            // 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
            // 例子：
            // (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
            // (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
            initCopy();
        });

        /**
         * 弹出窗口设置佣金
         */
        function openPromtp(obj,prefee) {
            if(!isNotNull(prefee)){
                prefee='';
            }
            layer.prompt({
                formType: 3,
                value:prefee,
                title: '请输入佣金比率'
            }, function(value, index, elem){
                if(isNaN(value)){
                    layer.msg('请输入数字');
                    return false;
                }else {
                    $.ajax({
                        type:'POST',
                        dataType:'json',
                        url:'${ctx}/productRelation/saveFee?id='+obj+'&fee='+value,
                        success:function(result){
                            if(result.success==true){
                                layer.msg(result.message,{icon:1,time:1000});
                                $('#table').bootstrapTable("refresh");
                            }else{
                                layer.alert(result.message, {icon: 2});
                            }
                        }
                    })
                }
            });

        }
        function fee(v) {
            if(isNotNull(v)){
                return v+"%";
            }return '';

        }
        /**
         * 初始化复制到剪切板
         * */
        function initCopy() {
            var clipboard = new Clipboard('.bcxinCopy', {
                text: function (value) {
                    var v = $(value).attr('text')
                    return v;
                }
            });
            clipboard.on('success', function(e) {
                layer.alert("复制成功，请粘贴到你的QQ/MSN上推荐给你的好友");
            });
        }

        /**
         * 设置分销产品
         */
        function addProduct() {
            member_show('选择产品','${ctx}/productRelation/list?relationIds=${relationId}&type=${type}','','','900',null)
        }

        function stateFormatter(value, row, index) {
            if(row.productName!=6) return "";
            var html = $("#deleteDiv").html();
            html = html.replace(new RegExp('valueId', 'g'),row.id);
            return [html].join(" ");
        }
        function createTime(v) {
            v = new Date(v);
            return v.Format('yyyy-MM-dd HH:mm:ss');
        }
        function updateTime(v) {
            v = new Date(v);
            return v.Format('yyyy-MM-dd HH:mm:ss');
        }

        function statusClass(value) {
            if(value == '1'){
                return ' <span class="label label-primary">已上架</span>';
            }
            if(value=='0'){
                return '<span class="label label-danger">已下架</span>';
            }
        }
    </script>
</bcxinFooter>
</body>
</html>
