<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>保险产品列表</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content search-query">
                <form action="${ctx}/productRelation/listData?type=${type}" method="post" id="searchForm" onsubmit="return false">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="control-label">关键字</label>
                            <div class="input-group">
                                <input type="text" class="form-control" name="likeValue" placeholder="产品名称/供应商/类型">
                                <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                                </span>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <div class="row row-lg">
                    <div class="col-sm-12">
                        <div class="example-wrap">
                            <div class="example">
                                <div id="toolbar" class="fixed-table-toolbar">
                                    <button type="button" class="btn btn-primary" title="刷新数据" onclick="refreshdiv()">
                                        <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                    </button>
                                </div>
                                <table
                                       id="table"
                                       data-height="500"
                                       data-toggle="table"
                                       data-show-toggle="true"
                                <%--data-click-to-select="true"--%>
                                       data-show-export="true"
                                       data-show-columns="true"
                                       data-striped="true"
                                       data-pagination="true"
                                <%--data-sort-name="type"--%>
                                       data-url="${ctx}/productRelation/listData?type=${type}&relationIds=${relationIds}"
                                       data-query-params="queryParams"
                                       data-side-pagination="server"
                                       data-field="records"
                                <%--data-sort-order="desc"--%>
                                       data-cache="false"
                                       data-toolbar="#toolbar">
                                    <thead>
                                    <tr>
                                        <th data-checkbox="true" data-field="`id`">选择</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="ad.label" data-field="label">类型</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.name" data-field="name">产品名称</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="sc.companyName" data-field="companyName" data-formatter="setJG">供应商</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.status" data-field="status" data-formatter="statusClass">状态</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.createTime" data-field="createTime" data-formatter="createTime">创建时间</th>
                                        <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.updateTime" data-field="updateTime" data-formatter="updateTime">修改时间</th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <form action="${ctx}/productRelation/edit" method="post" id="inputForm">
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-4 add-submit">
                            <input type="hidden" class="form-control" name="relationIds" value="${relationIds}">
                            <input type="hidden" class="form-control" id="productIds" name="productIds" value="${productIds}">
                            <input type="hidden" class="form-control" name="type" value="${type}">
                            <button class="btn btn-primary" type="button"  onclick="doSubmit(this)">提交</button>
                            <button class="btn btn-primary" type="button"  onclick="layer_close()">关闭</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<bcxinFooter>
    <script type="text/javascript">

        $(document).ready(function () {
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });

        /**
         * 提交
         * */
        function doSubmit(obj) {
            var ids =  $.map($('#table').bootstrapTable('getSelections'),function(row){
                return row.id;
            });
            if(ids.length==0){
                layer.alert("请选择产品!", {icon: 2});
                return false;
            }
            $('#productIds').val(ids);
            toAjaxSubmit(obj);
        }
        
        function member_upDown(id,title,status){
            layer.confirm(title,{btn: ['确定','取消'] //按钮
            }, function(){
                $.ajax({
                    type:'POST',
                    dataType:'json',
                    url:'${ctx}/productIns/upDown/'+id+'/'+status,
                    success:function(result){
                        if(result.success==true){
                            layer.msg(result.message,{icon:1,time:1000});
                            refreshdiv();
                        }else{
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }
        
        function createTime(v) {
            v = new Date(v);
            return v.Format('yyyy-MM-dd HH:mm:ss');
        }
        function updateTime(v) {
            v = new Date(v);
            return v.Format('yyyy-MM-dd HH:mm:ss');
        }

        function setJG(value, row, index) {
            if(row.subsidiaryName != ''&&row.subsidiaryName != undefined){
                return row.subsidiaryName;
            }
            return value;
        }


        function statusClass(value) {
            if(value == '1'){
                return ' <span class="label label-primary">已上架</span>';
            }
            if(value=='0'){
                return '<span class="label label-danger">已下架</span>';
            }
        }
        /*获取选中行对象*/
        function getContent(){
            var index = $("#table").find("tr.danger").data("index");
            return $("#table").bootstrapTable('getData')[index];
        }

        function setRatio(val) {
            return val+"%"

        }
        function setAmount(val) {
            return toDecimal(val);
        }


    </script>
</bcxinFooter>
</body>
</html>
