<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>第三方应用接入IP白名单</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
                <div class="ibox-content search-query">
                    <form id="searchForm" action="${ctx}/productType/list"  method="POST" onsubmit="return false">
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label class="control-label">关键字</label>
                                <div class="input-group-btn">
                                    <input type="text" class="form-control" name="likeValue" placeholder="类型/名称/上级">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group" id="data_5">
                                <label class="control-label">创建时间</label>
                                <div class="input-daterange input-group" id="datepicker">
                                    <input type="text" class="form-control" id="beginCreateTime" name="sDate"  placeholder="请选择日期..."/>
                                    <span class="input-group-addon">到</span>
                                    <input type="text" class="form-control" id="endCreateTime" name="eDate"  placeholder="请选择日期..."/>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <label class="control-label">状态</label>
                                <div class="input-group-btn">
                                    <select name="status" class="sel-md input-group form-control">
                                        <option value="-1">全部</option>
                                        <option value="1">已上架</option>
                                        <option value="0">已下架</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <div class="input-group">
                                   <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                                        <button type="button" class="btn btn-primary" onclick="resetTable()">重置</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
                <div class="ibox-content">
                    <div class="row row-lg">
                        <div class="col-sm-12">
                            <div class="example-wrap">
                                <div class="example">
                                    <div id="toolbar" class="fixed-table-toolbar">
                                          <shiro:hasPermission name="product:type:edit">
                                          <button type="button" class="btn btn-primary " title="添加" onclick="member_show('添加','${ctx}/productType/form?modify=add',null,null,'900',null)">
                                              <i class="glyphicon glyphicon-plus">添加</i>
                                          </button>
                                          </shiro:hasPermission>
                                          <button type="button" class="btn btn-primary" title="刷新数据" onclick="refreshdiv()">
                                                <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                          </button>
                                    </div>

                                    <table id="table"
                                           data-toggle="table"
                                           data-show-toggle="true"
                                           data-show-export="true"
                                           data-show-columns="true"
                                           data-striped="true"
                                           data-pagination="true"
                                           data-url="${ctx}/productType/list"
                                           data-query-params="queryParams"
                                           data-side-pagination="server"
                                           data-cache="false"
                                           data-toolbar="#toolbar">
                                        <thead>
                                        <tr>
                                            <th data-checkbox="true" data-field="id" data-formatter = "stateFormatter2">选择</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.type" data-field="type" data-formatter="selectLabel">类型</th>
                                            <th data-halign="center" data-align="center" data-sortable="true"  data-sort-name="a.typeName" data-sorter="typeName" data-field="typeName">名称</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.typeLevel" data-field="typeLevel">等级</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="t2.type_name" data-field="parent.typeName">上级</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.createTime"  data-field="createTime">创建时间</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.updateTime" data-field="updateTime">修改时间</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="a.status" data-field="status"data-formatter="statusClass">状态</th>
                                            <th data-halign="center" data-align="center" data-formatter = "stateFormatter">操作</th>
                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div>
<shiro:hasPermission name="product:type:delete">
    <div id = "deleteDIV" class="hide">
        <a class="remove m-l-sm text-danger" href="javascript:void(0)" onclick="member_del(this,'deleteValue')" title="删除">
            <i class="glyphicon glyphicon-remove"></i>
        </a>
    </div>
</shiro:hasPermission>

<shiro:hasPermission name="product:type:edit">
    <div id = "editId" class="hide">
        <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='editValue';member_show('修改','${ctx}/productType/form?id=' + id+'&modify=modify','','','900',null)" title="修改">
            <i class="glyphicon glyphicon-edit"></i>
        </a>
    </div>
</shiro:hasPermission>

<shiro:hasPermission name="product:type:edit">
    <div id = "nextId" class="hide">
        <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='nextValue';member_show('添加下级','${ctx}/productType/form?id=' + id+'&modify=next','','','900',null)" title="添加下级">
            <i class="glyphicon glyphicon-arrow-right"></i>
        </a>
    </div>
</shiro:hasPermission>

<shiro:hasPermission name="product:type:form">
<div id = "viewId" class="hide">
    <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='viewValue'; member_show('查看','${ctx}/productType/form?id=' + id,'','','900',null)" title="查看">
        <i class="glyphicon glyphicon-zoom-in"></i>
    </a>
</div>
</shiro:hasPermission>


<bcxinFooter>
    <script type="text/javascript">

        $(document).ready(function () {
        })
        /**
         * 操作
         */
        var idx = "";
        function stateFormatter(value, row, index) {
            value = idx
            var html = $("#deleteDIV").html();
            if(isNotNull(html)){
                html = html.replace("deleteValue",value);
            }
            var html2 = $("#editId").html();
            if(isNotNull(html2)){
                html2 = html2.replace("editValue",value);
            }
            var html3 = $("#viewId").html();
            if(isNotNull(html3)){
                html3 = html3.replace("viewValue",value);
            }
            var html4 = $("#nextId").html();
            if(isNotNull(html4)){
                html4 = html4.replace("nextValue",value);
            }

            return [html3,html2,html4,html].join(" ");
        }

        function stateFormatter2(value, row, index) {
            idx = value;
        }

        function selectLabel(v) {
            var value="";
            $.ajax({
                type : "POST",
                url : "${ctx}/dict/getDictLabel",
                data : {value:v,type:"product_type"},
                async : false,
                success : function(data){
                    value = data;
                }
            });
            return value;
        }

        function member_del(obj,id){
            layer.confirm('确认要删除吗？',{btn: ['确定','取消'] //按钮
            }, function(){
                $.ajax({
                    type:'DELETE',
                    dataType:'json',
                    url:'${ctx}/productType/delete/'+id,
                    success:function(result){
                        if(result.success==true){
                            $(obj).parents("tr").remove();
                            layer.msg('已删除!',{icon:1,time:1000});
                        }else{
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }

        function statusClass(value) {
            if(value == '1'){
                return ' <span class="label label-primary">启用</span>';
            }
            if(value=='0'){
                return '<span class="label label-danger">停用</span>';
            }
        }
        /*获取选中行对象*/
        function getContent(){
            var index = $("#table").find("tr.danger").data("index");
            return $("#table").bootstrapTable('getData')[index];
        }

        function setRatio(val) {
            return val+"%"

        }
        function setAmount(val) {
            return toDecimal(val);
        }


    </script>
</bcxinFooter>
</body>
</html>
