<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>新增结算单</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css"/>
</head>

<body class="gray-bg">
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="#" method="POST">
                        <input type="hidden" id="id" name="id" >
                        <div class="form-group">
                            <label class="col-sm-2 control-label">结算周期：</label>
                            <div class="col-sm-4" id="date_month">
                                <div class="input-daterange input-group" id="datepicker">
                                    <input id="startDate" name="startDate" type="text"
                                           placeholder="结算日期(起)"
                                           class="form-control"/>
                                    <span class="input-group-addon">到</span>
                                    <input id="endDate" name="endDate" type="text"
                                           placeholder="结算日期(止)"
                                           class="form-control"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <button class="btn btn-primary" type="button" onclick="calc()">计算</button>
                            </div>
                        </div>

                        <div class="ibox-title">
                            <h5>该结算周期内数据：</h5>&nbsp;
                        </div>
<%--                        <div class="hr-line-dashed"></div>--%>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">账单总笔数：</label>
                            <div class="col-sm-4">
                                <input id="sumCount" name="sumCount" readonly>
                            </div>
                            <label class="col-sm-2 control-label">价税总额（元）：</label>
                            <div class="col-sm-4">
                                <input id="totalFcy" name="totalFcy" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">已对账笔数：</label>
                            <div class="col-sm-4">
                                <input id="checkCount" name="checkCount" readonly>
                            </div>
                            <label class="col-sm-2 control-label">成本总额：</label>
                            <div class="col-sm-4">
                                <input id="totalCost" name="totalCost" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">未对账笔数：</label>
                            <div class="col-sm-4">
                                <input id="uncheckCount" name="uncheckCount" readonly>
                            </div>
                            <label class="col-sm-2 control-label">应结费用总额：</label>
                            <div class="col-sm-4">
                                <input id="totalExpense" name="totalExpense" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <span class="col-sm-8 text-danger">周期内的账单明细需都已对账，否则无法创建结算单。</span>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <button class="btn btn-primary" type="button" onclick="mylayer_close()">取消</button>
                                <button class="btn btn-primary" type="button" onclick="statementsSave()">确定</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <script type="text/javascript">
        var urlHead = "${ctx}";
        var userID;

        $(document).ready(function () {
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });

        //去除分页
        function queryParams(params) {
            var limit = params.limit;
            // if(limit>5){
            //     limit=5;
            // }
            return {
                // size: limit,  //页面大小
                // index: params.offset, //页码
                sortName: this.sortName,
                sortOrder: this.sortOrder
            };
        }



        //form转json
        function getFormData($form) {
            var unindexed_array = $form.serializeArray();
            var indexed_array = {};

            $.map(unindexed_array, function (n, i) {
                indexed_array[n['name']] = n['value'];
            });

            return indexed_array;
        }


        /**
         * 关闭窗口的时候要刷新父窗口
         * @param $form
         * @returns {{}}
         */
        function mylayer_close(){
            layer_close();
            window.parent.location.reload();

        }

        /**
         * 计算 结算单数据
         */
        function calc(){
            const saveData = getFormData($("#inputForm"));
            //alert(JSON.stringify(saveData));
            console.log(JSON.stringify(saveData));
            $.ajax({
                url: urlHead + "/statementsForm/calcBatch",
                type: "post",
                dataType: "json",
                async: false,
                headers: {'Content-Type': 'application/json;charset=utf8'},
                data: JSON.stringify(saveData),
                success: function (result) {
                    if (result.success==true) {
                        // var data=result.data;
                        $("#sumCount").val(result.data.sumCount);
                        $("#totalFcy").val(result.data.totalFcy);
                        $("#totalCost").val(result.data.totalCost);
                        $("#checkCount").val(result.data.checkCount);
                        $("#uncheckCount").val(result.data.uncheckCount);
                        $("#totalExpense").val(result.data.totalExpense);
                        //赋赋值
                    } else {
                        layer.msg("计算失败!  "+result.message);
                    }
                }
            });
        }

        /**
         * 保存、生成结算单
         */
        function statementsSave(){
            const saveData = getFormData($("#inputForm"));
            //如果总笔数=0，或者已对账=0，或者未对账大于0，则不处理
            if(saveData.sumCount==0){
                layer.msg("账单笔数为0，没有可结算的数据");
                return;
            };
            if(saveData.checkCount==0){
                layer.msg("已对账笔数为0，没有可结算的数据");
                return;
            };
            if(saveData.uncheckCount>0){
                layer.msg("未对账笔数大于0，对账未完成");
                return;
            };
            //alert(JSON.stringify(saveData));
            console.log(JSON.stringify(saveData));
            $.ajax({
                url: urlHead + "/statementsForm/saveBatch",
                type: "post",
                dataType: "json",
                async: false,
                headers: {'Content-Type': 'application/json;charset=utf8'},
                data: JSON.stringify(saveData),
                success: function (result) {
                    if (result.success==true) {
                        layer.msg("生成结算单成功");
                        //刷新父页面
                        window.parent.location.reload(); //刷新父页面
                    } else {
                        layer.msg("生成结算单失败");
                    }
                }
            });

        }

    </script>
</bcxinFooter>
</body>
</html>
