<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>结算单</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <form id="searchForm" action="${ctx}/statementsForm/list" method="POST" onsubmit="return false">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">合作机构名称</label>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" name="companyName" placeholder="请输入">
                        </div>
                        <div id="date_month">
                            <label class="col-sm-2 control-label">结算月份</label>
                            <div class="col-sm-3 input-daterange input-group" id="datepicker">
                                <input type="text" class="form-control" id="startDate" name="startDate"
                                       placeholder="请选择日期..."/>
                                <span class="input-group-addon">到</span>
                                <input type="text" class="form-control" id="endDate" name="endDate"
                                       placeholder="请选择日期..."/>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">产品分类</label>
                        <div class="col-sm-3">
                            <select name="productType" id="productType" class="sel-md input-group form-control">
                                <option value="-1">全部</option>
                                <c:forEach items="${fns:getDictList('product_type')}" var="pay">
                                    <option value="${pay.value}"
                                            <c:if test="${productType.type eq pay.value}">selected</c:if> >${pay.label}</option>
                                </c:forEach>
                            </select>
                        </div>
                        <label class="col-sm-2 control-label">协议类型</label>
                        <div class="col-sm-3">
                            <select name="type" class="sel-md input-group form-control">
                                <option value="-1">全部</option>
                                <c:forEach items="${fns:getDictList('agree_type')}" var="type">
                                    <option value="${type.value}">${type.label}</option>
                                </c:forEach>
                            </select>
                        </div>
                    </div>
                    <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                    <button type="button" class="btn btn-primary" onclick="resetTableNew()">重置</button>
                </form>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-content">
                <div class="row row-lg">
                    <div class="col-sm-12">
                        <div class="example-wrap">
                            <div class="example">
                                <div id="toolbar" class="fixed-table-toolbar">
                                    <button type="button" class="btn btn-primary" title="新增结算单"
                                            onclick="member_show('新增结算单','${ctx}/statementsForm/add',null,null,'900',null)">
                                        <i class="glyphicon glyphicon-plus">新增结算单</i>
                                    </button>
                                    <button type="button" class="btn btn-primary" title="批量新增结算单"
                                            onclick="member_show('批量新增结算单','${ctx}/statementsForm/addBatch',null,null,'900',null)">
                                        <i class="glyphicon glyphicon-plus">批量新增结算单</i>
                                    </button>
                                    <button type="button" class="btn btn-primary" title="刷新数据" onclick="refreshdiv()">
                                        <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                    </button>
                                </div>

                                <table id="table"
                                       data-toggle="table"
                                       data-show-toggle="true"
                                       data-show-export="true"
                                       data-show-columns="true"
                                       data-striped="true"
                                       data-pagination="true"
                                <%--                                       data-sort-name="a.createTime"--%>
                                       data-url="${ctx}/statementsForm/list"
                                       data-query-params="queryParams"
                                       data-side-pagination="server"
                                       data-sort-order="desc"
                                       data-page-list="[10, 25, 50, 100, ALL]"
                                       data-field="records"
                                       data-cache="false"
                                       data-toolbar="#toolbar">
                                    <thead>
                                    <tr>
                                        <%--                                        <th data-checkbox="true" data-field="`id`" >选择</th>--%>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="id" data-field="id">结算单编号
                                        </th>
                                        <%--                                        <th data-halign="center" data-align="center" data-sortable="true"--%>
                                        <%--                                            data-sort-name="settleId" data-field="settleId">结算单编号--%>
                                        <%--                                        </th>--%>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="companyName" data-field="companyName" data-formatter="setJG">合作机构名称
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="type" data-field="type"
                                            data-formatter="agreeType">协议类型
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="productType" data-field="productType"
                                            data-formatter="productType">产品分类
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="feeCycle" data-field="feeCycle">结算周期
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="sumCount" data-field="sumCount">账单笔数
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="totalFcy" data-field="totalFcy">价税总额(元)
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="totalCost" data-field="totalCost">成本金额(元)
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="totalExpense" data-field="totalExpense">费用总额(元)
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="status" data-field="status"
                                            data-formatter="settleStatusClass">
                                            核销状态
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="updateByName" data-field="updateByName">结算人
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="settleTime" data-field="settleTime"
                                            data-formatter="orderDate">结算时间
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="createByName" data-field="createByName">创建人
                                        </th>
                                        <th data-halign="center" data-align="center" data-sortable="true"
                                            data-sort-name="createTime" data-field="createTime"
                                            data-formatter="orderDate">结算单创建时间
                                        </th>
                                        <th data-halign="center" data-align="center" data-formatter="stateFormatter">
                                            操作
                                        </th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<%--<shiro:hasPermission name="statements:ins:form">--%>
<div id="viewId" class="hide">
    <a class="edit m-l-sm text-warning" href="javascript:void(0)"
       onclick="var id ='viewValue'; member_show('账单明细','${ctx}/statementsForm/subListView?settleId=' + id+'&type=2','','','1000',null)"
       title="账单明细">
        账单明细
    </a>
    <a name="editOK" class="edit m-l-sm text-warning" href="javascript:void(0)"
       onclick="var id ='viewValue';var status='editStatus'; modifyStatements(id,'确定设为已结算吗?',status)" ;
       title="设为已结算">设为已结算
    </a>
    <a hhh="editNO" class="edit m-l-sm text-warning" href="javascript:void(0)"
       onclick="var id ='viewValue';var status='editStatus'; modifyStatements(id,'确定设为未结算吗?',status)" ;
       title="设为未结算">设为未结算
    </a>
    <%--    如果状态是未结算，才能删除--%>
    <a name="deleteOK" class="edit m-l-sm text-danger" href="javascript:void(0)"
       onclick="var id ='viewValue';deleleStatements(id,'即将删除该结算单，是否继续？<br>结算单删除后，该结算单内的对账明细将被释放，可在创建其他结算单时被引用。')" ;
       title="删除结算单">删除
    </a>
</div>
<%--</shiro:hasPermission>--%>


<bcxinFooter>
    <script type="text/javascript">
        $(document).ready(function () {
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });

        /**
         * 删除结算单
         */
        function deleleStatements(id, title) {
            layer.confirm(title, {
                btn: ['确定', '取消'] //按钮
            }, function () {
                $.ajax({
                    type: 'DELETE',
                    dataType: 'json',
                    url: '${ctx}/statementsForm/delete/' + id,
                    success: function (result) {
                        if (result.success == true) {
                            layer.msg(result.message, {icon: 1, time: 1000});
                            refreshdiv();
                        } else {
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }

        function modifyStatements(id, title, status) {
            layer.confirm(title, {
                btn: ['确定', '取消'] //按钮
            }, function () {
                $.ajax({
                    type: 'PUT',
                    dataType: 'json',
                    url: '${ctx}/statementsForm/modifyStatus/' + id + '/' + status,
                    success: function (result) {
                        if (result.success == true) {
                            layer.msg(result.message, {icon: 1, time: 1000});
                            refreshdiv();
                        } else {
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }

        function orderDate(v) {
            if (v != null) {
                v = new Date(v);
                return v.Format('yyyy-MM-dd HH:mm:ss');
            }
        }

        function setJG(value, row, index) {
            if(row.subsidiaryName != ''&&row.subsidiaryName != undefined){
                return row.subsidiaryName;
            }
            return value;
        }

        /**
         * 操作
         */
        function stateFormatter(value, row, index) {
            var html3 = $("#viewId").html();
            if (isNotNull(html3)) {
                html3 = html3.replace(new RegExp('viewValue', 'g'), row.id);
                html3 = html3.replace(new RegExp('editStatus', 'g'), row.status);
                if (row.status == 1) {
                    html3 = html3.replace(new RegExp('name', 'g'), "style=\"display:none;\" name");
                }else{
                    html3 = html3.replace(new RegExp('hhh', 'g'), " style=\"display:none;\" hhh");
                }
            }
            return [html3].join(" ");
        }

        function member_upDown(id, title, status) {
            layer.confirm(title, {
                btn: ['确定', '取消'] //按钮
            }, function () {
                $.ajax({
                    type: 'POST',
                    dataType: 'json',
                    url: '${ctx}/productIns/upDown/' + id + '/' + status,
                    success: function (result) {
                        if (result.success == true) {
                            layer.msg(result.message, {icon: 1, time: 1000});
                            refreshdiv();
                        } else {
                            layer.alert(result.message, {icon: 2});
                        }
                    }
                })
            });
        }

        function statusClass(value) {
            if (value == '0') {
                return ' <span class="label label-danger">未对账</span>';
            }
            if (value == '1') {
                return ' <span class="label label-primary">已对账</span>';
            }
        }

        function settleStatusClass(value) {
            if (value == '0') {
                return ' <span class="label label-danger">未结算</span>';
            }
            if (value == '1') {
                return ' <span class="label label-primary">已结算</span>';
            }
        }

        function setRatio(val) {
            return val + "%"

        }

        function setAmount(val) {
            return toDecimal(val);
        }

        function agreeType(v) {
            if (v == '1') {
                return '供应商协议';
            }
            if (v == '2') {
                return '分销商协议';
            }
            if (v == '4') {
                return '资源方协议';
            }
        }

        function productType(v) {
            if (v == '6') {
                return '保险产品'
            }
            if (v == '7') {
                return '风评产品'
            }
            if (v == '8') {
                return '培训产品'
            }
        }
        function resetTableNew() {
            $("#searchForm input").val("");
            $("#productType option[value="+"-1"+"]").attr("selected", true).trigger("change");
            $("#type option[value="+"-1"+"]").attr("selected", true).trigger("change");
            $("select").find("option:first").prop("selected",true);
            doRefresh();

        }

    </script>
</bcxinFooter>
</body>
</html>
